Index: media/doc/README.WINE
===================================================================
--- media/doc/README.WINE	(Revision 31623)
+++ media/doc/README.WINE	(Arbeitskopie)
@@ -56,7 +56,7 @@
 reactos/dll/win32/msacm32         # Out of sync
 reactos/dll/win32/msimg32         # Autosync
 reactos/dll/win32/msi             # Needs a widl update
-reactos/dll/win32/msvcrt20        # Out of sync
+reactos/dll/win32/msvcrt20        # Synced to Wine-20080106
 reactos/dll/win32/msvfw32         # Autosync
 reactos/dll/win32/msxml3          # Synced to Wine-20071230
 reactos/dll/win32/netapi32        # Autosync
Index: dll/win32/msvcrt20/msvcrt20.rbuild
===================================================================
--- dll/win32/msvcrt20/msvcrt20.rbuild	(Revision 31623)
+++ dll/win32/msvcrt20/msvcrt20.rbuild	(Arbeitskopie)
@@ -1,5 +1,7 @@
+<?xml version="1.0"?>
+<!DOCTYPE module SYSTEM "../../../tools/rbuild/project.dtd">
 <module name="msvcrt20" type="win32dll" entrypoint="0" baseaddress="${BASEADDRESS_MSVCRT20}" mangledsymbols="yes" installbase="system32" installname="msvcrt20.dll">
-	<importlibrary definition="msvcrt20.def" />
+	<importlibrary definition="msvcrt20.spec.def" />
 	<include base="msvcrt20">.</include>
 	<define name="_DISABLE_TIDENTS" />
 	<define name="__REACTOS__" />
@@ -13,4 +15,5 @@
 	<library>msvcrt</library>
 	<file>msvcrt20.c</file>
 	<file>msvcrt20.rc</file>
+	<file>msvcrt20.spec</file>
 </module>
Index: dll/win32/msvcrt20/msvcrt20.c
===================================================================
--- dll/win32/msvcrt20/msvcrt20.c	(Revision 31623)
+++ dll/win32/msvcrt20/msvcrt20.c	(Arbeitskopie)
@@ -15,17 +15,16 @@
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
  */
 
 #include <stdarg.h>
 
 #include "windef.h"
-#include "winbase.h"
 
-extern void __getmainargs(int *argc, char** *argv, char** *envp,
+extern void CDECL __getmainargs(int *argc, char** *argv, char** *envp,
                           int expand_wildcards, int *new_mode);
-extern void __wgetmainargs(int *argc, WCHAR** *wargv, WCHAR** *wenvp,
+extern void CDECL __wgetmainargs(int *argc, WCHAR** *wargv, WCHAR** *wenvp,
                            int expand_wildcards, int *new_mode);
 
 /*********************************************************************
@@ -33,7 +32,7 @@
  *
  * new_mode is not a pointer in msvcrt20.
  */
-void MSVCRT20__getmainargs( int *argc, char** *argv, char** *envp,
+void CDECL MSVCRT20__getmainargs( int *argc, char** *argv, char** *envp,
                             int expand_wildcards, int new_mode )
 {
     __getmainargs( argc, argv, envp, expand_wildcards, &new_mode );
@@ -44,7 +43,7 @@
  *
  * new_mode is not a pointer in msvcrt20.
  */
-void MSVCRT20__wgetmainargs( int *argc, WCHAR** *wargv, WCHAR** *wenvp,
+void CDECL MSVCRT20__wgetmainargs( int *argc, WCHAR** *wargv, WCHAR** *wenvp,
                              int expand_wildcards, int new_mode )
 {
     __wgetmainargs( argc, wargv, wenvp, expand_wildcards, &new_mode );
Index: dll/win32/msvcrt20/msvcrt20.spec
===================================================================
--- dll/win32/msvcrt20/msvcrt20.spec	(Revision 0)
+++ dll/win32/msvcrt20/msvcrt20.spec	(Revision 0)
@@ -0,0 +1,1127 @@
+# msvcrt20.dll - MS VC++ Run Time Library
+@ stub ??0Iostream_init@@QAE@AAVios@@H@Z  #
+@ stub ??0Iostream_init@@QAE@XZ #
+@ stub ??0filebuf@@QAE@ABV0@@Z #
+@ stub ??0filebuf@@QAE@H@Z #
+@ stub ??0filebuf@@QAE@HPADH@Z #
+@ stub ??0filebuf@@QAE@XZ #
+@ stub ??0fstream@@QAE@ABV0@@Z #
+@ stub ??0fstream@@QAE@H@Z #
+@ stub ??0fstream@@QAE@HPADH@Z #
+@ stub ??0fstream@@QAE@PBDHH@Z #
+@ stub ??0fstream@@QAE@XZ #
+@ stub ??0ifstream@@QAE@ABV0@@Z #
+@ stub ??0ifstream@@QAE@H@Z #
+@ stub ??0ifstream@@QAE@HPADH@Z #
+@ stub ??0ifstream@@QAE@PBDHH@Z #
+@ stub ??0ifstream@@QAE@XZ #
+@ stub ??0ios@@IAE@ABV0@@Z #
+@ stub ??0ios@@IAE@XZ #
+@ stub ??0ios@@QAE@PAVstreambuf@@@Z #
+@ stub ??0iostream@@IAE@ABV0@@Z #
+@ stub ??0iostream@@IAE@XZ #
+@ stub ??0iostream@@QAE@PAVstreambuf@@@Z #
+@ stub ??0istream@@IAE@ABV0@@Z #
+@ stub ??0istream@@IAE@XZ #
+@ stub ??0istream@@QAE@PAVstreambuf@@@Z #
+@ stub ??0istream_withassign@@QAE@ABV0@@Z #
+@ stub ??0istream_withassign@@QAE@PAVstreambuf@@@Z #
+@ stub ??0istream_withassign@@QAE@XZ #
+@ stub ??0istrstream@@QAE@ABV0@@Z #
+@ stub ??0istrstream@@QAE@PAD@Z #
+@ stub ??0istrstream@@QAE@PADH@Z #
+@ stub ??0ofstream@@QAE@ABV0@@Z #
+@ stub ??0ofstream@@QAE@H@Z #
+@ stub ??0ofstream@@QAE@HPADH@Z #
+@ stub ??0ofstream@@QAE@PBDHH@Z #
+@ stub ??0ofstream@@QAE@XZ #
+@ stub ??0ostream@@IAE@ABV0@@Z #
+@ stub ??0ostream@@IAE@XZ #
+@ stub ??0ostream@@QAE@PAVstreambuf@@@Z #
+@ stub ??0ostream_withassign@@QAE@ABV0@@Z #
+@ stub ??0ostream_withassign@@QAE@PAVstreambuf@@@Z #
+@ stub ??0ostream_withassign@@QAE@XZ #
+@ stub ??0ostrstream@@QAE@ABV0@@Z #
+@ stub ??0ostrstream@@QAE@PADHH@Z #
+@ stub ??0ostrstream@@QAE@XZ #
+@ stub ??0stdiobuf@@QAE@ABV0@@Z #
+@ stub ??0stdiobuf@@QAE@PAU_iobuf@@@Z #
+@ stub ??0stdiostream@@QAE@ABV0@@Z #
+@ stub ??0stdiostream@@QAE@PAU_iobuf@@@Z #
+@ stub ??0streambuf@@IAE@PADH@Z #
+@ stub ??0streambuf@@IAE@XZ #
+@ stub ??0streambuf@@QAE@ABV0@@Z #
+@ stub ??0strstream@@QAE@ABV0@@Z #
+@ stub ??0strstream@@QAE@PADHH@Z #
+@ stub ??0strstream@@QAE@XZ #
+@ stub ??0strstreambuf@@QAE@ABV0@@Z #
+@ stub ??0strstreambuf@@QAE@H@Z #
+@ stub ??0strstreambuf@@QAE@P6APAXJ@ZP6AXPAX@Z@Z #
+@ stub ??0strstreambuf@@QAE@PADH0@Z #
+@ stub ??0strstreambuf@@QAE@XZ #
+@ stub ??1Iostream_init@@QAE@XZ #
+@ stub ??1filebuf@@UAE@XZ #
+@ stub ??1fstream@@UAE@XZ #
+@ stub ??1ifstream@@UAE@XZ #
+@ stub ??1ios@@UAE@XZ #
+@ stub ??1iostream@@UAE@XZ #
+@ stub ??1istream@@UAE@XZ #
+@ stub ??1istream_withassign@@UAE@XZ #
+@ stub ??1istrstream@@UAE@XZ #
+@ stub ??1ofstream@@UAE@XZ #
+@ stub ??1ostream@@UAE@XZ #
+@ stub ??1ostream_withassign@@UAE@XZ #
+@ stub ??1ostrstream@@UAE@XZ #
+@ stub ??1stdiobuf@@UAE@XZ #
+@ stub ??1stdiostream@@UAE@XZ #
+@ stub ??1streambuf@@UAE@XZ #
+@ stub ??1strstream@@UAE@XZ #
+@ stub ??1strstreambuf@@UAE@XZ #
+@ cdecl ??2@YAPAXI@Z(long) msvcrt.??2@YAPAXI@Z
+@ cdecl ??3@YAXPAX@Z(ptr) msvcrt.??3@YAXPAX@Z
+@ stub ??4Iostream_init@@QAEAAV0@ABV0@@Z #
+@ stub ??4filebuf@@QAEAAV0@ABV0@@Z #
+@ stub ??4fstream@@QAEAAV0@AAV0@@Z #
+@ stub ??4ifstream@@QAEAAV0@ABV0@@Z #
+@ stub ??4ios@@IAEAAV0@ABV0@@Z #
+@ stub ??4iostream@@IAEAAV0@AAV0@@Z #
+@ stub ??4iostream@@IAEAAV0@PAVstreambuf@@@Z #
+@ stub ??4istream@@IAEAAV0@ABV0@@Z #
+@ stub ??4istream@@IAEAAV0@PAVstreambuf@@@Z #
+@ stub ??4istream_withassign@@QAEAAV0@ABV0@@Z #
+@ stub ??4istream_withassign@@QAEAAVistream@@ABV1@@Z #
+@ stub ??4istream_withassign@@QAEAAVistream@@PAVstreambuf@@@Z #
+@ stub ??4istrstream@@QAEAAV0@ABV0@@Z #
+@ stub ??4ofstream@@QAEAAV0@ABV0@@Z #
+@ stub ??4ostream@@IAEAAV0@ABV0@@Z #
+@ stub ??4ostream@@IAEAAV0@PAVstreambuf@@@Z #
+@ stub ??4ostream_withassign@@QAEAAV0@ABV0@@Z #
+@ stub ??4ostream_withassign@@QAEAAVostream@@ABV1@@Z #
+@ stub ??4ostream_withassign@@QAEAAVostream@@PAVstreambuf@@@Z #
+@ stub ??4ostrstream@@QAEAAV0@ABV0@@Z #
+@ stub ??4stdiobuf@@QAEAAV0@ABV0@@Z #
+@ stub ??4stdiostream@@QAEAAV0@AAV0@@Z #
+@ stub ??4streambuf@@QAEAAV0@ABV0@@Z #
+@ stub ??4strstream@@QAEAAV0@AAV0@@Z #
+@ stub ??4strstreambuf@@QAEAAV0@ABV0@@Z #
+@ stub ??5istream@@QAEAAV0@AAC@Z #
+@ stub ??5istream@@QAEAAV0@AAD@Z #
+@ stub ??5istream@@QAEAAV0@AAE@Z #
+@ stub ??5istream@@QAEAAV0@AAF@Z #
+@ stub ??5istream@@QAEAAV0@AAG@Z #
+@ stub ??5istream@@QAEAAV0@AAH@Z #
+@ stub ??5istream@@QAEAAV0@AAI@Z #
+@ stub ??5istream@@QAEAAV0@AAJ@Z #
+@ stub ??5istream@@QAEAAV0@AAK@Z #
+@ stub ??5istream@@QAEAAV0@AAM@Z #
+@ stub ??5istream@@QAEAAV0@AAN@Z #
+@ stub ??5istream@@QAEAAV0@AAO@Z #
+@ stub ??5istream@@QAEAAV0@P6AAAV0@AAV0@@Z@Z #
+@ stub ??5istream@@QAEAAV0@P6AAAVios@@AAV1@@Z@Z #
+@ stub ??5istream@@QAEAAV0@PAC@Z #
+@ stub ??5istream@@QAEAAV0@PAD@Z #
+@ stub ??5istream@@QAEAAV0@PAE@Z #
+@ stub ??5istream@@QAEAAV0@PAVstreambuf@@@Z #
+@ stub ??6ostream@@QAEAAV0@C@Z #
+@ stub ??6ostream@@QAEAAV0@D@Z #
+@ stub ??6ostream@@QAEAAV0@E@Z #
+@ stub ??6ostream@@QAEAAV0@F@Z #
+@ stub ??6ostream@@QAEAAV0@G@Z #
+@ stub ??6ostream@@QAEAAV0@H@Z #
+@ stub ??6ostream@@QAEAAV0@I@Z #
+@ stub ??6ostream@@QAEAAV0@J@Z #
+@ stub ??6ostream@@QAEAAV0@K@Z #
+@ stub ??6ostream@@QAEAAV0@M@Z #
+@ stub ??6ostream@@QAEAAV0@N@Z #
+@ stub ??6ostream@@QAEAAV0@O@Z #
+@ stub ??6ostream@@QAEAAV0@P6AAAV0@AAV0@@Z@Z #
+@ stub ??6ostream@@QAEAAV0@P6AAAVios@@AAV1@@Z@Z #
+@ stub ??6ostream@@QAEAAV0@PAVstreambuf@@@Z #
+@ stub ??6ostream@@QAEAAV0@PBC@Z #
+@ stub ??6ostream@@QAEAAV0@PBD@Z #
+@ stub ??6ostream@@QAEAAV0@PBE@Z #
+@ stub ??6ostream@@QAEAAV0@PBX@Z #
+@ stub ??7ios@@QBEHXZ #
+@ stub ??Bios@@QBEPAXXZ #
+@ stub ??_7filebuf@@6B@ #
+@ stub ??_7fstream@@6B@ #
+@ stub ??_7ifstream@@6B@ #
+@ stub ??_7ios@@6B@ #
+@ stub ??_7iostream@@6B@ #
+@ stub ??_7istream@@6B@ #
+@ stub ??_7istream_withassign@@6B@ #
+@ stub ??_7istrstream@@6B@ #
+@ stub ??_7ofstream@@6B@ #
+@ stub ??_7ostream@@6B@ #
+@ stub ??_7ostream_withassign@@6B@ #
+@ stub ??_7ostrstream@@6B@ #
+@ stub ??_7stdiobuf@@6B@ #
+@ stub ??_7stdiostream@@6B@ #
+@ stub ??_7streambuf@@6B@ #
+@ stub ??_7strstream@@6B@ #
+@ stub ??_7strstreambuf@@6B@ #
+@ stub ??_8fstream@@7Bistream@@@ #
+@ stub ??_8fstream@@7Bostream@@@ #
+@ stub ??_8ifstream@@7B@ #
+@ stub ??_8iostream@@7Bistream@@@ #
+@ stub ??_8iostream@@7Bostream@@@ #
+@ stub ??_8istream@@7B@ #
+@ stub ??_8istream_withassign@@7B@ #
+@ stub ??_8istrstream@@7B@ #
+@ stub ??_8ofstream@@7B@ #
+@ stub ??_8ostream@@7B@ #
+@ stub ??_8ostream_withassign@@7B@ #
+@ stub ??_8ostrstream@@7B@ #
+@ stub ??_8stdiostream@@7Bistream@@@ #
+@ stub ??_8stdiostream@@7Bostream@@@ #
+@ stub ??_8strstream@@7Bistream@@@ #
+@ stub ??_8strstream@@7Bostream@@@ #
+@ stub ??_Dfstream@@QAEXXZ #
+@ stub ??_Difstream@@QAEXXZ #
+@ stub ??_Diostream@@QAEXXZ #
+@ stub ??_Distream@@QAEXXZ #
+@ stub ??_Distream_withassign@@QAEXXZ #
+@ stub ??_Distrstream@@QAEXXZ #
+@ stub ??_Dofstream@@QAEXXZ #
+@ stub ??_Dostream@@QAEXXZ #
+@ stub ??_Dostream_withassign@@QAEXXZ #
+@ stub ??_Dostrstream@@QAEXXZ #
+@ stub ??_Dstdiostream@@QAEXXZ #
+@ stub ??_Dstrstream@@QAEXXZ #
+@ stub ??_EIostream_init@@QAEPAXI@Z #
+@ stub ??_Efilebuf@@UAEPAXI@Z #
+@ stub ??_Efstream@@UAEPAXI@Z #
+@ stub ??_Eifstream@@UAEPAXI@Z #
+@ stub ??_Eios@@UAEPAXI@Z #
+@ stub ??_Eiostream@@UAEPAXI@Z #
+@ stub ??_Eistream@@UAEPAXI@Z #
+@ stub ??_Eistream_withassign@@UAEPAXI@Z #
+@ stub ??_Eistrstream@@UAEPAXI@Z #
+@ stub ??_Eofstream@@UAEPAXI@Z #
+@ stub ??_Eostream@@UAEPAXI@Z #
+@ stub ??_Eostream_withassign@@UAEPAXI@Z #
+@ stub ??_Eostrstream@@UAEPAXI@Z #
+@ stub ??_Estdiobuf@@UAEPAXI@Z #
+@ stub ??_Estdiostream@@UAEPAXI@Z #
+@ stub ??_Estreambuf@@UAEPAXI@Z #
+@ stub ??_Estrstream@@UAEPAXI@Z #
+@ stub ??_Estrstreambuf@@UAEPAXI@Z #
+@ stub ??_GIostream_init@@QAEPAXI@Z #
+@ stub ??_Gfilebuf@@UAEPAXI@Z #
+@ stub ??_Gfstream@@UAEPAXI@Z #
+@ stub ??_Gifstream@@UAEPAXI@Z #
+@ stub ??_Gios@@UAEPAXI@Z #
+@ stub ??_Giostream@@UAEPAXI@Z #
+@ stub ??_Gistream@@UAEPAXI@Z #
+@ stub ??_Gistream_withassign@@UAEPAXI@Z #
+@ stub ??_Gistrstream@@UAEPAXI@Z #
+@ stub ??_Gofstream@@UAEPAXI@Z #
+@ stub ??_Gostream@@UAEPAXI@Z #
+@ stub ??_Gostream_withassign@@UAEPAXI@Z #
+@ stub ??_Gostrstream@@UAEPAXI@Z #
+@ stub ??_Gstdiobuf@@UAEPAXI@Z #
+@ stub ??_Gstdiostream@@UAEPAXI@Z #
+@ stub ??_Gstreambuf@@UAEPAXI@Z #
+@ stub ??_Gstrstream@@UAEPAXI@Z #
+@ stub ??_Gstrstreambuf@@UAEPAXI@Z #
+@ cdecl ?_query_new_handler@@YAP6AHI@ZXZ() msvcrt.?_query_new_handler@@YAP6AHI@ZXZ
+@ cdecl ?_query_new_mode@@YAHXZ()  msvcrt.?_query_new_mode@@YAHXZ
+@ cdecl ?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z(ptr) msvcrt.?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z
+@ cdecl ?_set_new_mode@@YAHH@Z(long) msvcrt.?_set_new_mode@@YAHH@Z
+@ cdecl ?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z(ptr) msvcrt.?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z
+@ stub ?adjustfield@ios@@2JB #
+@ stub ?allocate@streambuf@@IAEHXZ #
+@ stub ?attach@filebuf@@QAEPAV1@H@Z #
+@ stub ?attach@fstream@@QAEXH@Z #
+@ stub ?attach@ifstream@@QAEXH@Z #
+@ stub ?attach@ofstream@@QAEXH@Z #
+@ stub ?bad@ios@@QBEHXZ #
+@ stub ?base@streambuf@@IBEPADXZ #
+@ stub ?basefield@ios@@2JB #
+@ stub ?binary@filebuf@@2HB #
+@ stub ?bitalloc@ios@@SAJXZ #
+@ stub ?blen@streambuf@@IBEHXZ #
+@ stub ?cerr@@3Vostream_withassign@@A #
+@ stub ?cin@@3Vistream_withassign@@A #
+@ stub ?clear@ios@@QAEXH@Z #
+@ stub ?clog@@3Vostream_withassign@@A #
+@ stub ?close@filebuf@@QAEPAV1@XZ #
+@ stub ?close@fstream@@QAEXXZ #
+@ stub ?close@ifstream@@QAEXXZ #
+@ stub ?close@ofstream@@QAEXXZ #
+@ stub ?clrlock@ios@@QAAXXZ #
+@ stub ?clrlock@streambuf@@QAEXXZ #
+@ stub ?cout@@3Vostream_withassign@@A #
+@ stub ?dbp@streambuf@@QAEXXZ #
+@ stub ?dec@@YAAAVios@@AAV1@@Z #
+@ stub ?delbuf@ios@@QAEXH@Z #
+@ stub ?delbuf@ios@@QBEHXZ #
+@ stub ?doallocate@streambuf@@MAEHXZ #
+@ stub ?doallocate@strstreambuf@@MAEHXZ #
+@ stub ?eatwhite@istream@@QAEXXZ #
+@ stub ?eback@streambuf@@IBEPADXZ #
+@ stub ?ebuf@streambuf@@IBEPADXZ #
+@ stub ?egptr@streambuf@@IBEPADXZ #
+@ stub ?endl@@YAAAVostream@@AAV1@@Z #
+@ stub ?ends@@YAAAVostream@@AAV1@@Z #
+@ stub ?eof@ios@@QBEHXZ #
+@ stub ?epptr@streambuf@@IBEPADXZ #
+@ stub ?fLockcInit@ios@@0HA #
+@ stub ?fail@ios@@QBEHXZ #
+@ stub ?fd@filebuf@@QBEHXZ #
+@ stub ?fd@fstream@@QBEHXZ #
+@ stub ?fd@ifstream@@QBEHXZ #
+@ stub ?fd@ofstream@@QBEHXZ #
+@ stub ?fill@ios@@QAEDD@Z #
+@ stub ?fill@ios@@QBEDXZ #
+@ stub ?flags@ios@@QAEJJ@Z #
+@ stub ?flags@ios@@QBEJXZ #
+@ stub ?floatfield@ios@@2JB #
+@ stub ?flush@@YAAAVostream@@AAV1@@Z #
+@ stub ?flush@ostream@@QAEAAV1@XZ #
+@ stub ?freeze@strstreambuf@@QAEXH@Z #
+@ stub ?gbump@streambuf@@IAEXH@Z #
+@ stub ?gcount@istream@@QBEHXZ #
+@ stub ?get@istream@@QAEAAV1@AAC@Z #
+@ stub ?get@istream@@QAEAAV1@AAD@Z #
+@ stub ?get@istream@@QAEAAV1@AAE@Z #
+@ stub ?get@istream@@QAEAAV1@AAVstreambuf@@D@Z #
+@ stub ?get@istream@@QAEAAV1@PACHD@Z #
+@ stub ?get@istream@@QAEAAV1@PADHD@Z #
+@ stub ?get@istream@@QAEAAV1@PAEHD@Z #
+@ stub ?get@istream@@QAEHXZ #
+@ stub ?getdouble@istream@@AAEHPADH@Z #
+@ stub ?getint@istream@@AAEHPAD@Z #
+@ stub ?getline@istream@@QAEAAV1@PACHD@Z #
+@ stub ?getline@istream@@QAEAAV1@PADHD@Z #
+@ stub ?getline@istream@@QAEAAV1@PAEHD@Z #
+@ stub ?good@ios@@QBEHXZ #
+@ stub ?gptr@streambuf@@IBEPADXZ #
+@ stub ?hex@@YAAAVios@@AAV1@@Z #
+@ stub ?ignore@istream@@QAEAAV1@HH@Z #
+@ stub ?in_avail@streambuf@@QBEHXZ #
+@ stub ?init@ios@@IAEXPAVstreambuf@@@Z #
+@ stub ?ipfx@istream@@QAEHH@Z #
+@ stub ?is_open@filebuf@@QBEHXZ #
+@ stub ?is_open@fstream@@QBEHXZ #
+@ stub ?is_open@ifstream@@QBEHXZ #
+@ stub ?is_open@ofstream@@QBEHXZ #
+@ stub ?isfx@istream@@QAEXXZ #
+@ stub ?iword@ios@@QBEAAJH@Z #
+@ stub ?lock@ios@@QAAXXZ #
+@ stub ?lock@streambuf@@QAEXXZ #
+@ stub ?lockbuf@ios@@QAAXXZ #
+@ stub ?lockc@ios@@KAXXZ #
+@ stub ?lockptr@ios@@IAEPAU_RTL_CRITICAL_SECTION@@XZ #
+@ stub ?lockptr@streambuf@@IAEPAU_RTL_CRITICAL_SECTION@@XZ #
+@ stub ?oct@@YAAAVios@@AAV1@@Z #
+@ stub ?open@filebuf@@QAEPAV1@PBDHH@Z #
+@ stub ?open@fstream@@QAEXPBDHH@Z #
+@ stub ?open@ifstream@@QAEXPBDHH@Z #
+@ stub ?open@ofstream@@QAEXPBDHH@Z #
+@ stub ?openprot@filebuf@@2HB #
+@ stub ?opfx@ostream@@QAEHXZ #
+@ stub ?osfx@ostream@@QAEXXZ #
+@ stub ?out_waiting@streambuf@@QBEHXZ #
+@ stub ?overflow@filebuf@@UAEHH@Z #
+@ stub ?overflow@stdiobuf@@UAEHH@Z #
+@ stub ?overflow@strstreambuf@@UAEHH@Z #
+@ stub ?pbackfail@stdiobuf@@UAEHH@Z #
+@ stub ?pbackfail@streambuf@@UAEHH@Z #
+@ stub ?pbase@streambuf@@IBEPADXZ #
+@ stub ?pbump@streambuf@@IAEXH@Z #
+@ stub ?pcount@ostrstream@@QBEHXZ #
+@ stub ?pcount@strstream@@QBEHXZ #
+@ stub ?peek@istream@@QAEHXZ #
+@ stub ?pptr@streambuf@@IBEPADXZ #
+@ stub ?precision@ios@@QAEHH@Z #
+@ stub ?precision@ios@@QBEHXZ #
+@ stub ?put@ostream@@QAEAAV1@C@Z #
+@ stub ?put@ostream@@QAEAAV1@D@Z #
+@ stub ?put@ostream@@QAEAAV1@E@Z #
+@ stub ?putback@istream@@QAEAAV1@D@Z #
+@ stub ?pword@ios@@QBEAAPAXH@Z #
+@ stub ?rdbuf@fstream@@QBEPAVfilebuf@@XZ #
+@ stub ?rdbuf@ifstream@@QBEPAVfilebuf@@XZ #
+@ stub ?rdbuf@ios@@QBEPAVstreambuf@@XZ #
+@ stub ?rdbuf@istrstream@@QBEPAVstrstreambuf@@XZ #
+@ stub ?rdbuf@ofstream@@QBEPAVfilebuf@@XZ #
+@ stub ?rdbuf@ostrstream@@QBEPAVstrstreambuf@@XZ #
+@ stub ?rdbuf@stdiostream@@QBEPAVstdiobuf@@XZ #
+@ stub ?rdbuf@strstream@@QBEPAVstrstreambuf@@XZ #
+@ stub ?rdstate@ios@@QBEHXZ #
+@ stub ?read@istream@@QAEAAV1@PACH@Z #
+@ stub ?read@istream@@QAEAAV1@PADH@Z #
+@ stub ?read@istream@@QAEAAV1@PAEH@Z #
+@ stub ?sbumpc@streambuf@@QAEHXZ #
+@ stub ?seekg@istream@@QAEAAV1@J@Z #
+@ stub ?seekg@istream@@QAEAAV1@JW4seek_dir@ios@@@Z #
+@ stub ?seekoff@filebuf@@UAEJJW4seek_dir@ios@@H@Z #
+@ stub ?seekoff@stdiobuf@@UAEJJW4seek_dir@ios@@H@Z #
+@ stub ?seekoff@streambuf@@UAEJJW4seek_dir@ios@@H@Z #
+@ stub ?seekoff@strstreambuf@@UAEJJW4seek_dir@ios@@H@Z #
+@ stub ?seekp@ostream@@QAEAAV1@J@Z #
+@ stub ?seekp@ostream@@QAEAAV1@JW4seek_dir@ios@@@Z #
+@ stub ?seekpos@streambuf@@UAEJJH@Z #
+@ cdecl ?set_terminate@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_terminate@@YAP6AXXZP6AXXZ@Z
+@ cdecl ?set_unexpected@@YAP6AXXZP6AXXZ@Z(ptr) msvcrt.?set_unexpected@@YAP6AXXZP6AXXZ@Z
+@ stub ?setb@streambuf@@IAEXPAD0H@Z #
+@ stub ?setbuf@filebuf@@UAEPAVstreambuf@@PADH@Z #
+@ stub ?setbuf@fstream@@QAEPAVstreambuf@@PADH@Z #
+@ stub ?setbuf@ifstream@@QAEPAVstreambuf@@PADH@Z #
+@ stub ?setbuf@ofstream@@QAEPAVstreambuf@@PADH@Z #
+@ stub ?setbuf@streambuf@@UAEPAV1@PADH@Z #
+@ stub ?setbuf@strstreambuf@@UAEPAVstreambuf@@PADH@Z #
+@ stub ?setf@ios@@QAEJJ@Z #
+@ stub ?setf@ios@@QAEJJJ@Z #
+@ stub ?setg@streambuf@@IAEXPAD00@Z #
+@ stub ?setlock@ios@@QAAXXZ #
+@ stub ?setlock@streambuf@@QAEXXZ #
+@ stub ?setmode@filebuf@@QAEHH@Z #
+@ stub ?setmode@fstream@@QAEHH@Z #
+@ stub ?setmode@ifstream@@QAEHH@Z #
+@ stub ?setmode@ofstream@@QAEHH@Z #
+@ stub ?setp@streambuf@@IAEXPAD0@Z #
+@ stub ?setrwbuf@stdiobuf@@QAEHHH@Z #
+@ stub ?sgetc@streambuf@@QAEHXZ #
+@ stub ?sgetn@streambuf@@QAEHPADH@Z #
+@ stub ?sh_none@filebuf@@2HB #
+@ stub ?sh_read@filebuf@@2HB #
+@ stub ?sh_write@filebuf@@2HB #
+@ stub ?snextc@streambuf@@QAEHXZ #
+@ stub ?sputbackc@streambuf@@QAEHD@Z #
+@ stub ?sputc@streambuf@@QAEHH@Z #
+@ stub ?sputn@streambuf@@QAEHPBDH@Z #
+@ stub ?stdiofile@stdiobuf@@QAEPAU_iobuf@@XZ #
+@ stub ?stossc@streambuf@@QAEXXZ #
+@ stub ?str@istrstream@@QAEPADXZ #
+@ stub ?str@ostrstream@@QAEPADXZ #
+@ stub ?str@strstream@@QAEPADXZ #
+@ stub ?str@strstreambuf@@QAEPADXZ #
+@ stub ?sunk_with_stdio@ios@@0HA #
+@ stub ?sync@filebuf@@UAEHXZ #
+@ stub ?sync@istream@@QAEHXZ #
+@ stub ?sync@stdiobuf@@UAEHXZ #
+@ stub ?sync@streambuf@@UAEHXZ #
+@ stub ?sync@strstreambuf@@UAEHXZ #
+@ stub ?sync_with_stdio@ios@@SAXXZ #
+@ stub ?tellg@istream@@QAEJXZ #
+@ stub ?tellp@ostream@@QAEJXZ #
+@ cdecl ?terminate@@YAXXZ() msvcrt.?terminate@@YAXXZ
+@ stub ?text@filebuf@@2HB #
+@ stub ?tie@ios@@QAEPAVostream@@PAV2@@Z #
+@ stub ?tie@ios@@QBEPAVostream@@XZ #
+@ stub ?unbuffered@streambuf@@IAEXH@Z #
+@ stub ?unbuffered@streambuf@@IBEHXZ #
+@ stub ?underflow@filebuf@@UAEHXZ #
+@ stub ?underflow@stdiobuf@@UAEHXZ #
+@ stub ?underflow@strstreambuf@@UAEHXZ #
+@ cdecl ?unexpected@@YAXXZ() msvcrt.?unexpected@@YAXXZ
+@ stub ?unlock@ios@@QAAXXZ #
+@ stub ?unlock@streambuf@@QAEXXZ #
+@ stub ?unlockbuf@ios@@QAAXXZ #
+@ stub ?unlockc@ios@@KAXXZ #
+@ stub ?unsetf@ios@@QAEJJ@Z #
+@ stub ?width@ios@@QAEHH@Z #
+@ stub ?width@ios@@QBEHXZ #
+@ stub ?write@ostream@@QAEAAV1@PBCH@Z #
+@ stub ?write@ostream@@QAEAAV1@PBDH@Z #
+@ stub ?write@ostream@@QAEAAV1@PBEH@Z #
+@ stub ?writepad@ostream@@AAEAAV1@PBD0@Z #
+@ stub ?ws@@YAAAVistream@@AAV1@@Z #
+@ stub ?x_curindex@ios@@0HA #
+@ stub ?x_lockc@ios@@0U_RTL_CRITICAL_SECTION@@A #
+@ stub ?x_maxbit@ios@@0JA #
+@ stub ?x_statebuf@ios@@0QAJA #
+@ stub ?xalloc@ios@@SAHXZ #
+@ stub ?xsgetn@streambuf@@UAEHPADH@Z #
+@ stub ?xsputn@streambuf@@UAEHPBDH@Z #
+@ stub $I10_OUTPUT #
+@ cdecl _CIacos() msvcrt._CIacos
+@ cdecl _CIasin() msvcrt._CIasin
+@ cdecl _CIatan() msvcrt._CIatan
+@ cdecl _CIatan2() msvcrt._CIatan2
+@ cdecl _CIcos() msvcrt._CIcos
+@ cdecl _CIcosh() msvcrt._CIcosh
+@ cdecl _CIexp() msvcrt._CIexp
+@ cdecl _CIfmod() msvcrt._CIfmod
+@ cdecl _CIlog() msvcrt._CIlog
+@ cdecl _CIlog10() msvcrt._CIlog10
+@ cdecl _CIpow() msvcrt._CIpow
+@ cdecl _CIsin() msvcrt._CIsin
+@ cdecl _CIsinh() msvcrt._CIsinh
+@ cdecl _CIsqrt() msvcrt._CIsqrt
+@ cdecl _CItan() msvcrt._CItan
+@ cdecl _CItanh() msvcrt._CItanh
+@ cdecl _CxxThrowException(long long) msvcrt._CxxThrowException
+@ extern _HUGE msvcrt._HUGE
+@ cdecl _XcptFilter(long ptr) msvcrt._XcptFilter
+@ cdecl -i386 __CxxFrameHandler(ptr ptr ptr ptr) msvcrt.__CxxFrameHandler
+@ stdcall __CxxLongjmpUnwind(ptr) msvcrt.__CxxLongjmpUnwind
+@ cdecl __STRINGTOLD(ptr ptr str long) msvcrt.__STRINGTOLD
+@ extern __argc msvcrt.__argc
+@ extern __argv msvcrt.__argv
+@ cdecl __dllonexit(ptr ptr ptr) msvcrt.__dllonexit
+@ cdecl __doserrno() msvcrt.__doserrno
+@ cdecl __fpecode() msvcrt.__fpecode
+@ cdecl __getmainargs(ptr ptr ptr long long) MSVCRT20__getmainargs
+@ extern __initenv msvcrt.__initenv
+@ cdecl __isascii(long) msvcrt.__isascii
+@ cdecl __iscsym(long) msvcrt.__iscsym
+@ cdecl __iscsymf(long) msvcrt.__iscsymf
+@ cdecl __lconv_init() msvcrt.__lconv_init
+@ extern __mb_cur_max msvcrt.__mb_cur_max
+@ cdecl __p___argc() msvcrt.__p___argc
+@ cdecl __p___argv() msvcrt.__p___argv
+@ cdecl __p___initenv() msvcrt.__p___initenv
+@ cdecl __p___mb_cur_max() msvcrt.__p___mb_cur_max
+@ cdecl __p___wargv() msvcrt.__p___wargv
+@ cdecl __p___winitenv() msvcrt.__p___winitenv
+@ cdecl __p__acmdln() msvcrt.__p__acmdln
+@ cdecl __p__amblksiz() msvcrt.__p__amblksiz
+@ cdecl __p__commode() msvcrt.__p__commode
+@ cdecl __p__daylight() msvcrt.__p__daylight
+@ cdecl __p__environ() msvcrt.__p__environ
+@ cdecl __p__fmode() msvcrt.__p__fmode
+@ cdecl __p__iob() msvcrt.__p__iob
+@ cdecl __p__mbctype() msvcrt.__p__mbctype
+@ cdecl __p__osver() msvcrt.__p__osver
+@ cdecl __p__pctype() msvcrt.__p__pctype
+@ cdecl __p__pgmptr() msvcrt.__p__pgmptr
+@ cdecl __p__pwctype() msvcrt.__p__pwctype
+@ cdecl __p__timezone() msvcrt.__p__timezone
+@ cdecl __p__tzname() msvcrt.__p__tzname
+@ cdecl __p__wcmdln() msvcrt.__p__wcmdln
+@ cdecl __p__wenviron() msvcrt.__p__wenviron
+@ cdecl __p__winmajor() msvcrt.__p__winmajor
+@ cdecl __p__winminor() msvcrt.__p__winminor
+@ cdecl __p__winver() msvcrt.__p__winver
+@ cdecl __p__wpgmptr() msvcrt.__p__wpgmptr
+@ cdecl __pxcptinfoptrs() msvcrt.__pxcptinfoptrs
+@ cdecl __threadhandle() msvcrt.__threadhandle
+@ cdecl __threadid() msvcrt.__threadid
+@ cdecl __toascii(long) msvcrt.__toascii
+@ extern __wargv msvcrt.__wargv
+@ cdecl __wgetmainargs(ptr ptr ptr long long) MSVCRT20__wgetmainargs
+@ extern __winitenv msvcrt.__winitenv
+@ cdecl _abnormal_termination() msvcrt._abnormal_termination
+@ cdecl _access(str long) msvcrt._access
+@ extern _acmdln msvcrt._acmdln
+@ stdcall _adj_fdiv_m16i(long) msvcrt._adj_fdiv_m16i
+@ stdcall _adj_fdiv_m32(long) msvcrt._adj_fdiv_m32
+@ stdcall _adj_fdiv_m32i(long) msvcrt._adj_fdiv_m32i
+@ stdcall _adj_fdiv_m64(long long) msvcrt._adj_fdiv_m64
+@ cdecl _adj_fdiv_r() msvcrt._adj_fdiv_r
+@ stdcall _adj_fdivr_m16i(long) msvcrt._adj_fdivr_m16i
+@ stdcall _adj_fdivr_m32(long) msvcrt._adj_fdivr_m32
+@ stdcall _adj_fdivr_m32i(long) msvcrt._adj_fdivr_m32i
+@ stdcall _adj_fdivr_m64(long long) msvcrt._adj_fdivr_m64
+@ cdecl _adj_fpatan() msvcrt._adj_fpatan
+@ cdecl _adj_fprem() msvcrt._adj_fprem
+@ cdecl _adj_fprem1() msvcrt._adj_fprem1
+@ cdecl _adj_fptan() msvcrt._adj_fptan
+@ cdecl _adjust_fdiv() msvcrt._adjust_fdiv
+@ extern _aexit_rtn msvcrt._aexit_rtn
+@ cdecl _amsg_exit(long) msvcrt._amsg_exit
+@ cdecl _assert(str str long) msvcrt._assert
+@ cdecl _atodbl(ptr str) msvcrt._atodbl
+@ cdecl _atoldbl(ptr str) msvcrt._atoldbl
+@ cdecl _beep(long long) msvcrt._beep
+@ cdecl _beginthread(ptr long ptr) msvcrt._beginthread
+@ cdecl _beginthreadex(ptr long ptr ptr long ptr) msvcrt._beginthreadex
+@ cdecl _c_exit() msvcrt._c_exit
+@ cdecl _cabs(long) msvcrt._cabs
+@ cdecl _cexit() msvcrt._cexit
+@ cdecl _cgets(str) msvcrt._cgets
+@ cdecl _chdir(str) msvcrt._chdir
+@ cdecl _chdrive(long) msvcrt._chdrive
+@ cdecl _chgsign( double ) msvcrt._chgsign
+@ cdecl _chmod(str long) msvcrt._chmod
+@ cdecl _chsize(long long) msvcrt._chsize
+@ cdecl _clearfp() msvcrt._clearfp
+@ cdecl _close(long) msvcrt._close
+@ cdecl _commit(long) msvcrt._commit
+@ extern _commode msvcrt._commode
+@ cdecl _control87(long long) msvcrt._control87
+@ cdecl _controlfp(long long) msvcrt._controlfp
+@ cdecl _copysign( double double ) msvcrt._copysign
+@ varargs _cprintf(str) msvcrt._cprintf
+@ cdecl _cputs(str) msvcrt._cputs
+@ cdecl _creat(str long) msvcrt._creat
+@ varargs _cscanf(str) msvcrt._cscanf
+@ extern _ctype msvcrt._ctype
+@ cdecl _cwait(ptr long long) msvcrt._cwait
+@ extern _daylight msvcrt._daylight
+@ cdecl _dup(long) msvcrt._dup
+@ cdecl _dup2(long long) msvcrt._dup2
+@ cdecl _ecvt( double long ptr ptr) msvcrt._ecvt
+@ cdecl _endthread() msvcrt._endthread
+@ cdecl _endthreadex(long) msvcrt._endthreadex
+@ extern _environ msvcrt._environ
+@ cdecl _eof(long) msvcrt._eof
+@ cdecl _errno() msvcrt._errno
+@ cdecl _except_handler2(ptr ptr ptr ptr) msvcrt._except_handler2
+@ cdecl _except_handler3(ptr ptr ptr ptr) msvcrt._except_handler3
+@ varargs _execl(str str) msvcrt._execl
+@ varargs _execle(str str) msvcrt._execle
+@ varargs _execlp(str str) msvcrt._execlp
+@ varargs _execlpe(str str) msvcrt._execlpe
+@ cdecl _execv(str str) msvcrt._execv
+@ cdecl _execve(str str str) msvcrt._execve
+@ cdecl _execvp(str str) msvcrt._execvp
+@ cdecl _execvpe(str str str) msvcrt._execvpe
+@ cdecl _exit(long) msvcrt._exit
+@ cdecl _expand(ptr long) msvcrt._expand
+@ cdecl _fcloseall() msvcrt._fcloseall
+@ cdecl _fcvt( double long ptr ptr) msvcrt._fcvt
+@ cdecl _fdopen(long str) msvcrt._fdopen
+@ cdecl _fgetchar() msvcrt._fgetchar
+@ cdecl _fgetwchar() msvcrt._fgetwchar
+@ cdecl _filbuf(ptr) msvcrt._filbuf
+@ extern _fileinfo msvcrt._fileinfo
+@ cdecl _filelength(long) msvcrt._filelength
+@ cdecl _fileno(ptr) msvcrt._fileno
+@ cdecl _findclose(long) msvcrt._findclose
+@ cdecl _findfirst(str ptr) msvcrt._findfirst
+@ cdecl _findnext(long ptr) msvcrt._findnext
+@ cdecl _finite( double ) msvcrt._finite
+@ cdecl _flsbuf(long ptr) msvcrt._flsbuf
+@ cdecl _flushall() msvcrt._flushall
+@ extern _fmode msvcrt._fmode
+@ cdecl _fpclass(double) msvcrt._fpclass
+@ cdecl _fpieee_flt(long ptr ptr) msvcrt._fpieee_flt
+@ cdecl _fpreset() msvcrt._fpreset
+@ cdecl _fputchar(long) msvcrt._fputchar
+@ cdecl _fputwchar(long) msvcrt._fputwchar
+@ cdecl _fsopen(str str long) msvcrt._fsopen
+@ cdecl _fstat(long ptr) msvcrt._fstat
+@ cdecl _ftime(ptr) msvcrt._ftime
+@ cdecl _ftol() msvcrt._ftol
+@ cdecl _fullpath(ptr str long) msvcrt._fullpath
+@ cdecl _futime(long ptr) msvcrt._futime
+@ cdecl _gcvt( double long str) msvcrt._gcvt
+@ cdecl _get_osfhandle(long) msvcrt._get_osfhandle
+@ cdecl _getch() msvcrt._getch
+@ cdecl _getche() msvcrt._getche
+@ cdecl _getcwd(str long) msvcrt._getcwd
+@ cdecl _getdcwd(long str long) msvcrt._getdcwd
+@ cdecl _getdiskfree(long ptr) msvcrt._getdiskfree
+@ cdecl _getdllprocaddr(long str long) msvcrt._getdllprocaddr
+@ cdecl _getdrive() msvcrt._getdrive
+@ cdecl _getdrives() msvcrt._getdrives
+@ cdecl _getmbcp() msvcrt._getmbcp
+@ cdecl _getpid() msvcrt._getpid
+@ cdecl _getsystime(ptr) msvcrt._getsystime
+@ cdecl _getw(ptr) msvcrt._getw
+@ cdecl _getws(ptr) msvcrt._getws
+@ cdecl _global_unwind2(ptr) msvcrt._global_unwind2
+@ cdecl _heapadd(ptr long) msvcrt._heapadd
+@ cdecl _heapchk() msvcrt._heapchk
+@ cdecl _heapmin() msvcrt._heapmin
+@ cdecl _heapset(long) msvcrt._heapset
+@ cdecl _heapused(ptr ptr) msvcrt._heapused
+@ cdecl _heapwalk(ptr) msvcrt._heapwalk
+@ cdecl _hypot(double double) msvcrt._hypot
+@ cdecl _initterm(ptr ptr) msvcrt._initterm
+@ extern _iob msvcrt._iob
+@ cdecl _isatty(long) msvcrt._isatty
+@ cdecl _isctype(long long) msvcrt._isctype
+@ cdecl _ismbbalnum(long) msvcrt._ismbbalnum
+@ cdecl _ismbbalpha(long) msvcrt._ismbbalpha
+@ cdecl _ismbbgraph(long) msvcrt._ismbbgraph
+@ cdecl _ismbbkalnum(long) msvcrt._ismbbkalnum
+@ cdecl _ismbbkana(long) msvcrt._ismbbkana
+@ cdecl _ismbbkprint(long) msvcrt._ismbbkprint
+@ cdecl _ismbbkpunct(long) msvcrt._ismbbkpunct
+@ cdecl _ismbblead(long) msvcrt._ismbblead
+@ cdecl _ismbbprint(long) msvcrt._ismbbprint
+@ cdecl _ismbbpunct(long) msvcrt._ismbbpunct
+@ cdecl _ismbbtrail(long) msvcrt._ismbbtrail
+@ cdecl _ismbcalnum(long) msvcrt._ismbcalnum
+@ cdecl _ismbcalpha(long) msvcrt._ismbcalpha
+@ cdecl _ismbcdigit(long) msvcrt._ismbcdigit
+@ cdecl _ismbcgraph(long) msvcrt._ismbcgraph
+@ cdecl _ismbchira(long) msvcrt._ismbchira
+@ cdecl _ismbckata(long) msvcrt._ismbckata
+@ cdecl _ismbcl0(long) msvcrt._ismbcl0
+@ cdecl _ismbcl1(long) msvcrt._ismbcl1
+@ cdecl _ismbcl2(long) msvcrt._ismbcl2
+@ cdecl _ismbclegal(long) msvcrt._ismbclegal
+@ cdecl _ismbclower(long) msvcrt._ismbclower
+@ cdecl _ismbcprint(long) msvcrt._ismbcprint
+@ cdecl _ismbcpunct(long) msvcrt._ismbcpunct
+@ cdecl _ismbcspace(long) msvcrt._ismbcspace
+@ cdecl _ismbcsymbol(long) msvcrt._ismbcsymbol
+@ cdecl _ismbcupper(long) msvcrt._ismbcupper
+@ cdecl _ismbslead(ptr ptr) msvcrt._ismbslead
+@ cdecl _ismbstrail(ptr ptr) msvcrt._ismbstrail
+@ cdecl _isnan( double ) msvcrt._isnan
+@ cdecl _itoa(long ptr long) msvcrt._itoa
+@ cdecl _itow(long ptr long) msvcrt._itow
+@ cdecl _j0(double) msvcrt._j0
+@ cdecl _j1(double) msvcrt._j1
+@ cdecl _jn(long double) msvcrt._jn
+@ cdecl _kbhit() msvcrt._kbhit
+@ cdecl _lfind(ptr ptr ptr long ptr) msvcrt._lfind
+@ cdecl _loaddll(str) msvcrt._loaddll
+@ cdecl _local_unwind2(ptr long) msvcrt._local_unwind2
+@ cdecl _locking(long long long) msvcrt._locking
+@ cdecl _logb(double) msvcrt._logb
+@ cdecl _longjmpex(ptr long) msvcrt._longjmpex
+@ cdecl _lrotl(long long) msvcrt._lrotl
+@ cdecl _lrotr(long long) msvcrt._lrotr
+@ cdecl _lsearch(ptr ptr long long ptr) msvcrt._lsearch
+@ cdecl _lseek(long long long) msvcrt._lseek
+@ cdecl _ltoa(long ptr long) msvcrt._ltoa
+@ cdecl _ltow(long ptr long) msvcrt._ltow
+@ cdecl _makepath(str str str str str) msvcrt._makepath
+@ cdecl _matherr(ptr) msvcrt._matherr
+@ cdecl _mbbtombc(long) msvcrt._mbbtombc
+@ cdecl _mbbtype(long long) msvcrt._mbbtype
+@ cdecl _mbccpy(str str) msvcrt._mbccpy
+@ cdecl _mbcjistojms(long) msvcrt._mbcjistojms
+@ cdecl _mbcjmstojis(long) msvcrt._mbcjmstojis
+@ cdecl _mbclen(ptr) msvcrt._mbclen
+@ cdecl _mbctohira(long) msvcrt._mbctohira
+@ cdecl _mbctokata(long) msvcrt._mbctokata
+@ cdecl _mbctolower(long) msvcrt._mbctolower
+@ cdecl _mbctombb(long) msvcrt._mbctombb
+@ cdecl _mbctoupper(long) msvcrt._mbctoupper
+@ extern _mbctype msvcrt._mbctype
+@ cdecl _mbsbtype(str long) msvcrt._mbsbtype
+@ cdecl _mbscat(str str) msvcrt._mbscat
+@ cdecl _mbschr(str long) msvcrt._mbschr
+@ cdecl _mbscmp(str str) msvcrt._mbscmp
+@ cdecl _mbscoll(str str) msvcrt._mbscoll
+@ cdecl _mbscpy(ptr str) msvcrt._mbscpy
+@ cdecl _mbscspn(str str) msvcrt._mbscspn
+@ cdecl _mbsdec(ptr ptr) msvcrt._mbsdec
+@ cdecl _mbsdup(str) msvcrt._mbsdup
+@ cdecl _mbsicmp(str str) msvcrt._mbsicmp
+@ cdecl _mbsicoll(str str) msvcrt._mbsicoll
+@ cdecl _mbsinc(str) msvcrt._mbsinc
+@ cdecl _mbslen(str) msvcrt._mbslen
+@ cdecl _mbslwr(str) msvcrt._mbslwr
+@ cdecl _mbsnbcat(str str long) msvcrt._mbsnbcat
+@ cdecl _mbsnbcmp(str str long) msvcrt._mbsnbcmp
+@ cdecl _mbsnbcnt(ptr long) msvcrt._mbsnbcnt
+@ cdecl _mbsnbcoll(str str long) msvcrt._mbsnbcoll
+@ cdecl _mbsnbcpy(ptr str long) msvcrt._mbsnbcpy
+@ cdecl _mbsnbicmp(str str long) msvcrt._mbsnbicmp
+@ cdecl _mbsnbicoll(str str long) msvcrt._mbsnbicoll
+@ cdecl _mbsnbset(str long long) msvcrt._mbsnbset
+@ cdecl _mbsncat(str str long) msvcrt._mbsncat
+@ cdecl _mbsnccnt(str long) msvcrt._mbsnccnt
+@ cdecl _mbsncmp(str str long) msvcrt._mbsncmp
+@ cdecl _mbsncoll(str str long) msvcrt._mbsncoll
+@ cdecl _mbsncpy(str str long) msvcrt._mbsncpy
+@ cdecl _mbsnextc(str) msvcrt._mbsnextc
+@ cdecl _mbsnicmp(str str long) msvcrt._mbsnicmp
+@ cdecl _mbsnicoll(str str long) msvcrt._mbsnicoll
+@ cdecl _mbsninc(str long) msvcrt._mbsninc
+@ cdecl _mbsnset(str long long) msvcrt._mbsnset
+@ cdecl _mbspbrk(str str) msvcrt._mbspbrk
+@ cdecl _mbsrchr(str long) msvcrt._mbsrchr
+@ cdecl _mbsrev(str) msvcrt._mbsrev
+@ cdecl _mbsset(str long) msvcrt._mbsset
+@ cdecl _mbsspn(str str) msvcrt._mbsspn
+@ cdecl _mbsspnp(str str) msvcrt._mbsspnp
+@ cdecl _mbsstr(str str) msvcrt._mbsstr
+@ cdecl _mbstok(str str) msvcrt._mbstok
+@ cdecl _mbstrlen(str) msvcrt._mbstrlen
+@ cdecl _mbsupr(str) msvcrt._mbsupr
+@ cdecl _memccpy(ptr ptr long long) msvcrt._memccpy
+@ cdecl _memicmp(str str long) msvcrt._memicmp
+@ cdecl _mkdir(str) msvcrt._mkdir
+@ cdecl _mktemp(str) msvcrt._mktemp
+@ cdecl _msize(ptr) msvcrt._msize
+@ stub _mtlock
+@ stub _mtunlock
+@ cdecl _nextafter(double double) msvcrt._nextafter
+@ cdecl _onexit(ptr) msvcrt._onexit
+@ varargs _open(str long) msvcrt._open
+@ cdecl _open_osfhandle(long long) msvcrt._open_osfhandle
+@ extern _osver msvcrt._osver
+@ cdecl _pclose(ptr) msvcrt._pclose
+@ extern _pctype msvcrt._pctype
+@ extern _pgmptr msvcrt._pgmptr
+@ cdecl _pipe(ptr long long) msvcrt._pipe
+@ cdecl _popen(str str) msvcrt._popen
+@ cdecl _purecall() msvcrt._purecall
+@ cdecl _putch(long) msvcrt._putch
+@ cdecl _putenv(str) msvcrt._putenv
+@ cdecl _putw(long ptr) msvcrt._putw
+@ cdecl _putws(wstr) msvcrt._putws
+@ extern _pwctype msvcrt._pwctype
+@ cdecl _read(long ptr long) msvcrt._read
+@ cdecl _rmdir(str) msvcrt._rmdir
+@ cdecl _rmtmp() msvcrt._rmtmp
+@ cdecl _rotl(long long) msvcrt._rotl
+@ cdecl _rotr(long long) msvcrt._rotr
+@ cdecl _safe_fdiv() msvcrt._safe_fdiv
+@ cdecl _safe_fdivr() msvcrt._safe_fdivr
+@ cdecl _safe_fprem() msvcrt._safe_fprem
+@ cdecl _safe_fprem1() msvcrt._safe_fprem1
+@ cdecl _scalb( double long) msvcrt._scalb
+@ cdecl _searchenv(str str ptr) msvcrt._searchenv
+@ stdcall -i386 __seh_longjmp_unwind@4(ptr) msvcrt._seh_longjmp_unwind
+@ cdecl _seterrormode(long) msvcrt._seterrormode
+@ cdecl -i386 _setjmp(ptr) msvcrt._setjmp
+@ cdecl -i386 _setjmp3(ptr long) msvcrt._setjmp3
+@ cdecl _setmbcp(long) msvcrt._setmbcp
+@ cdecl _setmode(long long) msvcrt._setmode
+@ cdecl _setsystime(ptr long) msvcrt._setsystime
+@ cdecl _sleep(long) msvcrt._sleep
+@ varargs _snprintf(str long str) msvcrt._snprintf
+@ varargs _snwprintf(wstr long wstr) msvcrt._snwprintf
+@ varargs _sopen(str long long) msvcrt._sopen
+@ varargs _spawnl(long str str) msvcrt._spawnl
+@ varargs _spawnle(long str str) msvcrt._spawnle
+@ varargs _spawnlp(long str str) msvcrt._spawnlp
+@ varargs _spawnlpe(long str str) msvcrt._spawnlpe
+@ cdecl _spawnv(long str ptr) msvcrt._spawnv
+@ cdecl _spawnve(long str ptr ptr) msvcrt._spawnve
+@ cdecl _spawnvp(long str ptr) msvcrt._spawnvp
+@ cdecl _spawnvpe(long str ptr ptr) msvcrt._spawnvpe
+@ cdecl _splitpath(str ptr ptr ptr ptr) msvcrt._splitpath
+@ cdecl _stat(str ptr) msvcrt._stat
+@ cdecl _statusfp() msvcrt._statusfp
+@ cdecl _strcmpi(str str) msvcrt._strcmpi
+@ cdecl _strdate(ptr) msvcrt._strdate
+@ cdecl _strdup(str) msvcrt._strdup
+@ cdecl _strerror(long) msvcrt._strerror
+@ cdecl _stricmp(str str) msvcrt._stricmp
+@ cdecl _stricoll(str str) msvcrt._stricoll
+@ cdecl _strlwr(str) msvcrt._strlwr
+@ cdecl _strncoll(str str long) msvcrt._strncoll
+@ cdecl _strnicmp(str str long) msvcrt._strnicmp
+@ cdecl _strnicoll(str str long) msvcrt._strnicoll
+@ cdecl _strnset(str long long) msvcrt._strnset
+@ cdecl _strrev(str) msvcrt._strrev
+@ cdecl _strset(str long) msvcrt._strset
+@ cdecl _strtime(ptr) msvcrt._strtime
+@ cdecl _strupr(str) msvcrt._strupr
+@ cdecl _swab(str str long) msvcrt._swab
+@ extern _sys_errlist msvcrt._sys_errlist
+@ extern _sys_nerr msvcrt._sys_nerr
+@ cdecl _tccpy(str str) msvcrt._mbccpy
+@ cdecl _tclen(ptr) msvcrt._mbclen
+@ cdecl _tcschr(str long) msvcrt._mbschr
+@ cdecl _tcsclen(str) msvcrt._mbslen
+@ cdecl _tcscmp(str str) msvcrt._mbscmp
+@ cdecl _tcscspn(str str) msvcrt._mbscspn
+@ cdecl _tcsdec(ptr ptr) msvcrt._mbsdec
+@ cdecl _tcsicmp(str str) msvcrt._mbsicmp
+@ cdecl _tcsinc(str) msvcrt._mbsinc
+@ cdecl _tcslwr(str) msvcrt._mbslwr
+@ cdecl _tcsnbcnt(ptr long) msvcrt._mbsnbcnt
+@ cdecl _tcsncat(str str long) msvcrt._mbsnbcat
+@ cdecl _tcsnccat(str str long) msvcrt._mbsncat
+@ cdecl _tcsnccmp(str str long) msvcrt._mbsncmp
+@ cdecl _tcsnccnt(str long) msvcrt._mbsnccnt
+@ cdecl _tcsnccpy(str str long) msvcrt._mbsncpy
+@ cdecl _tcsncicmp(str str long) msvcrt._mbsnicmp
+@ cdecl _tcsncmp(str str long) msvcrt._mbsnbcmp
+@ cdecl _tcsncpy(ptr str long) msvcrt._mbsnbcpy
+@ cdecl _tcsncset(str long long) msvcrt._mbsnset
+@ cdecl _tcsnextc(str) msvcrt._mbsnextc
+@ cdecl _tcsnicmp(str str long) msvcrt._mbsnbicmp
+@ cdecl _tcsninc(str long) msvcrt._mbsninc
+@ cdecl _tcsnset(str long long) msvcrt._mbsnbset
+@ cdecl _tcspbrk(str str) msvcrt._mbspbrk
+@ cdecl _tcsrchr(str long) msvcrt._mbsrchr
+@ cdecl _tcsrev(str) msvcrt._mbsrev
+@ cdecl _tcsset(str long) msvcrt._mbsset
+@ cdecl _tcsspn(str str) msvcrt._mbsspn
+@ cdecl _tcsspnp(str str) msvcrt._mbsspnp
+@ cdecl _tcsstr(str str) msvcrt._mbsstr
+@ cdecl _tcstok(str str) msvcrt._mbstok
+@ cdecl _tcsupr(str) msvcrt._mbsupr
+@ cdecl _tell(long) msvcrt._tell
+@ cdecl _tempnam(str str) msvcrt._tempnam
+@ extern _timezone msvcrt._timezone
+@ cdecl _tolower(long) msvcrt._tolower
+@ cdecl _toupper(long) msvcrt._toupper
+@ extern _tzname msvcrt._tzname
+@ cdecl _tzset() msvcrt._tzset
+@ cdecl _ultoa(long ptr long) msvcrt._ultoa
+@ cdecl _ultow(long ptr long) msvcrt._ultow
+@ cdecl _umask(long) msvcrt._umask
+@ cdecl _ungetch(long) msvcrt._ungetch
+@ cdecl _unlink(str) msvcrt._unlink
+@ cdecl _unloaddll(long) msvcrt._unloaddll
+@ cdecl _utime(str ptr) msvcrt._utime
+@ cdecl _vsnprintf(ptr long ptr ptr) msvcrt._vsnprintf
+@ cdecl _vsnwprintf(ptr long wstr long) msvcrt._vsnwprintf
+@ cdecl _waccess(wstr long) msvcrt._waccess
+@ cdecl _wasctime(ptr) msvcrt._wasctime
+@ cdecl _wchdir(wstr) msvcrt._wchdir
+@ cdecl _wchmod(wstr long) msvcrt._wchmod
+@ extern _wcmdln msvcrt._wcmdln
+@ cdecl _wcreat(wstr long) msvcrt._wcreat
+@ cdecl _wcsdup(wstr) msvcrt._wcsdup
+@ cdecl _wcsicmp(wstr wstr) msvcrt._wcsicmp
+@ cdecl _wcsicoll(wstr wstr) msvcrt._wcsicoll
+@ cdecl _wcslwr(wstr) msvcrt._wcslwr
+@ cdecl _wcsncoll(wstr wstr long) msvcrt._wcsncoll
+@ cdecl _wcsnicmp(wstr wstr long) msvcrt._wcsnicmp
+@ cdecl _wcsnicoll(wstr wstr long) msvcrt._wcsnicoll
+@ cdecl _wcsnset(wstr long long) msvcrt._wcsnset
+@ cdecl _wcsrev(wstr) msvcrt._wcsrev
+@ cdecl _wcsset(wstr long) msvcrt._wcsset
+@ cdecl _wcsupr(wstr) msvcrt._wcsupr
+@ cdecl _wctime(ptr) msvcrt._wctime
+@ extern _wenviron msvcrt._wenviron
+@ varargs _wexecl(wstr wstr) msvcrt._wexecl
+@ varargs _wexecle(wstr wstr) msvcrt._wexecle
+@ varargs _wexeclp(wstr wstr) msvcrt._wexeclp
+@ varargs _wexeclpe(wstr wstr) msvcrt._wexeclpe
+@ varargs _wexecv(wstr ptr) msvcrt._wexecv
+@ varargs _wexecve(wstr ptr ptr) msvcrt._wexecve
+@ varargs _wexecvp(wstr ptr) msvcrt._wexecvp
+@ varargs _wexecvpe(wstr ptr ptr) msvcrt._wexecvpe
+@ cdecl _wfdopen(long wstr) msvcrt._wfdopen
+@ cdecl _wfindfirst(wstr ptr) msvcrt._wfindfirst
+@ cdecl _wfindnext(long ptr) msvcrt._wfindnext
+@ cdecl _wfopen(wstr wstr) msvcrt._wfopen
+@ cdecl _wfreopen(wstr wstr ptr) msvcrt._wfreopen
+@ cdecl _wfsopen(wstr wstr long) msvcrt._wfsopen
+@ cdecl _wfullpath(ptr wstr long) msvcrt._wfullpath
+@ cdecl _wgetcwd(wstr long) msvcrt._wgetcwd
+@ cdecl _wgetdcwd(long wstr long) msvcrt._wgetdcwd
+@ cdecl _wgetenv(wstr) msvcrt._wgetenv
+@ extern _winmajor msvcrt._winmajor
+@ extern _winminor msvcrt._winminor
+@ extern _winver msvcrt._winver
+@ cdecl _wmakepath(wstr wstr wstr wstr wstr) msvcrt._wmakepath
+@ cdecl _wmkdir(wstr) msvcrt._wmkdir
+@ cdecl _wmktemp(wstr) msvcrt._wmktemp
+@ varargs _wopen(wstr long) msvcrt._wopen
+@ cdecl _wperror(wstr) msvcrt._wperror
+@ extern _wpgmptr msvcrt._wpgmptr
+@ cdecl _wpopen(wstr wstr) msvcrt._wpopen
+@ cdecl _wputenv(wstr) msvcrt._wputenv
+@ cdecl _wremove(wstr) msvcrt._wremove
+@ cdecl _wrename(wstr wstr) msvcrt._wrename
+@ cdecl _write(long ptr long) msvcrt._write
+@ cdecl _wrmdir(wstr) msvcrt._wrmdir
+@ cdecl _wsearchenv(wstr wstr ptr) msvcrt._wsearchenv
+@ cdecl _wsetlocale(long wstr) msvcrt._wsetlocale
+@ varargs _wsopen(wstr long long) msvcrt._wsopen
+@ varargs _wspawnl(long wstr wstr) msvcrt._wspawnl
+@ varargs _wspawnle(long wstr wstr) msvcrt._wspawnle
+@ varargs _wspawnlp(long wstr wstr) msvcrt._wspawnlp
+@ varargs _wspawnlpe(long wstr wstr) msvcrt._wspawnlpe
+@ cdecl _wspawnv(long wstr ptr) msvcrt._wspawnv
+@ cdecl _wspawnve(long wstr ptr ptr) msvcrt._wspawnve
+@ cdecl _wspawnvp(long wstr ptr) msvcrt._wspawnvp
+@ cdecl _wspawnvpe(long wstr ptr ptr) msvcrt._wspawnvpe
+@ cdecl _wsplitpath(wstr wstr wstr wstr wstr) msvcrt._wsplitpath
+@ cdecl _wstat(wstr ptr) msvcrt._wstat
+@ cdecl _wstrdate(ptr) msvcrt._wstrdate
+@ cdecl _wstrtime(ptr) msvcrt._wstrtime
+@ cdecl _wsystem(wstr) msvcrt._wsystem
+@ cdecl _wtempnam(wstr wstr) msvcrt._wtempnam
+@ cdecl _wtmpnam(ptr) msvcrt._wtmpnam
+@ cdecl _wtoi(wstr) msvcrt._wtoi
+@ cdecl _wtol(wstr) msvcrt._wtol
+@ cdecl _wunlink(wstr) msvcrt._wunlink
+@ cdecl _wutime(wstr ptr) msvcrt._wutime
+@ cdecl _y0(double) msvcrt._y0
+@ cdecl _y1(double) msvcrt._y1
+@ cdecl _yn(long double ) msvcrt._yn
+@ cdecl abort() msvcrt.abort
+@ cdecl abs(long) msvcrt.abs
+@ cdecl acos(double) msvcrt.acos
+@ cdecl asctime(ptr) msvcrt.asctime
+@ cdecl asin(double) msvcrt.asin
+@ cdecl atan(double) msvcrt.atan
+@ cdecl atan2(double double) msvcrt.atan2
+@ cdecl atexit(ptr) msvcrt.atexit
+@ cdecl atof(str) msvcrt.atof
+@ cdecl atoi(str) msvcrt.atoi
+@ cdecl atol(str) msvcrt.atol
+@ cdecl bsearch(ptr ptr long long ptr) msvcrt.bsearch
+@ cdecl calloc(long long) msvcrt.calloc
+@ cdecl ceil(double) msvcrt.ceil
+@ cdecl clearerr(ptr) msvcrt.clearerr
+@ cdecl clock() msvcrt.clock
+@ cdecl cos(double) msvcrt.cos
+@ cdecl cosh(double) msvcrt.cosh
+@ cdecl ctime(ptr) msvcrt.ctime
+@ cdecl difftime(long long) msvcrt.difftime
+@ cdecl div(long long) msvcrt.div
+@ cdecl exit(long) msvcrt.exit
+@ cdecl exp(double) msvcrt.exp
+@ cdecl fabs(double) msvcrt.fabs
+@ cdecl fclose(ptr) msvcrt.fclose
+@ cdecl feof(ptr) msvcrt.feof
+@ cdecl ferror(ptr) msvcrt.ferror
+@ cdecl fflush(ptr) msvcrt.fflush
+@ cdecl fgetc(ptr) msvcrt.fgetc
+@ cdecl fgetpos(ptr ptr) msvcrt.fgetpos
+@ cdecl fgets(ptr long ptr) msvcrt.fgets
+@ cdecl fgetwc(ptr) msvcrt.fgetwc
+@ cdecl fgetws(ptr long ptr) msvcrt.fgetws
+@ cdecl floor(double) msvcrt.floor
+@ cdecl fmod(double double) msvcrt.fmod
+@ cdecl fopen(str str) msvcrt.fopen
+@ varargs fprintf(ptr str) msvcrt.fprintf
+@ cdecl fputc(long ptr) msvcrt.fputc
+@ cdecl fputs(str ptr) msvcrt.fputs
+@ cdecl fputwc(long ptr) msvcrt.fputwc
+@ cdecl fputws(wstr ptr) msvcrt.fputws
+@ cdecl fread(ptr long long ptr) msvcrt.fread
+@ cdecl free(ptr) msvcrt.free
+@ cdecl freopen(str str ptr) msvcrt.freopen
+@ cdecl frexp(double ptr) msvcrt.frexp
+@ varargs fscanf(ptr str) msvcrt.fscanf
+@ cdecl fseek(ptr long long) msvcrt.fseek
+@ cdecl fsetpos(ptr ptr) msvcrt.fsetpos
+@ cdecl ftell(ptr) msvcrt.ftell
+@ varargs fwprintf(ptr wstr) msvcrt.fwprintf
+@ cdecl fwrite(ptr long long ptr) msvcrt.fwrite
+@ varargs fwscanf(ptr wstr) msvcrt.fwscanf
+@ cdecl getc(ptr) msvcrt.getc
+@ cdecl getchar() msvcrt.getchar
+@ cdecl getenv(str) msvcrt.getenv
+@ cdecl gets(str) msvcrt.gets
+@ cdecl getwc(ptr) msvcrt.getwc
+@ cdecl getwchar() msvcrt.getwchar
+@ cdecl gmtime(ptr) msvcrt.gmtime
+@ cdecl is_wctype(long long) msvcrt.is_wctype
+@ cdecl isalnum(long) msvcrt.isalnum
+@ cdecl isalpha(long) msvcrt.isalpha
+@ cdecl iscntrl(long) msvcrt.iscntrl
+@ cdecl isdigit(long) msvcrt.isdigit
+@ cdecl isgraph(long) msvcrt.isgraph
+@ cdecl isleadbyte(long) msvcrt.isleadbyte
+@ cdecl islower(long) msvcrt.islower
+@ cdecl isprint(long) msvcrt.isprint
+@ cdecl ispunct(long) msvcrt.ispunct
+@ cdecl isspace(long) msvcrt.isspace
+@ cdecl isupper(long) msvcrt.isupper
+@ cdecl iswalnum(long) msvcrt.iswalnum
+@ cdecl iswalpha(long) msvcrt.iswalpha
+@ cdecl iswascii(long) msvcrt.iswascii
+@ cdecl iswcntrl(long) msvcrt.iswcntrl
+@ cdecl iswctype(long long) msvcrt.iswctype
+@ cdecl iswdigit(long) msvcrt.iswdigit
+@ cdecl iswgraph(long) msvcrt.iswgraph
+@ cdecl iswlower(long) msvcrt.iswlower
+@ cdecl iswprint(long) msvcrt.iswprint
+@ cdecl iswpunct(long) msvcrt.iswpunct
+@ cdecl iswspace(long) msvcrt.iswspace
+@ cdecl iswupper(long) msvcrt.iswupper
+@ cdecl iswxdigit(long) msvcrt.iswxdigit
+@ cdecl isxdigit(long) msvcrt.isxdigit
+@ cdecl labs(long) msvcrt.labs
+@ cdecl ldexp( double long) msvcrt.ldexp
+@ cdecl ldiv(long long) msvcrt.ldiv
+@ cdecl localeconv() msvcrt.localeconv
+@ cdecl localtime(ptr) msvcrt.localtime
+@ cdecl log(double) msvcrt.log
+@ cdecl log10(double) msvcrt.log10
+@ cdecl -i386 longjmp(ptr long) msvcrt.longjmp
+@ cdecl malloc(long) msvcrt.malloc
+@ cdecl mblen(ptr long) msvcrt.mblen
+@ cdecl mbstowcs(ptr str long) msvcrt.mbstowcs
+@ cdecl mbtowc(wstr str long) msvcrt.mbtowc
+@ cdecl memchr(ptr long long) msvcrt.memchr
+@ cdecl memcmp(ptr ptr long) msvcrt.memcmp
+@ cdecl memcpy(ptr ptr long) msvcrt.memcpy
+@ cdecl memmove(ptr ptr long) msvcrt.memmove
+@ cdecl memset(ptr long long) msvcrt.memset
+@ cdecl mktime(ptr) msvcrt.mktime
+@ cdecl modf(double ptr) msvcrt.modf
+@ cdecl perror(str) msvcrt.perror
+@ cdecl pow(double double) msvcrt.pow
+@ varargs printf(str) msvcrt.printf
+@ cdecl putc(long ptr) msvcrt.putc
+@ cdecl putchar(long) msvcrt.putchar
+@ cdecl puts(str) msvcrt.puts
+@ cdecl putwc(long ptr) msvcrt.putwc
+@ cdecl putwchar(long) msvcrt.putwchar
+@ cdecl qsort(ptr long long ptr) msvcrt.qsort
+@ cdecl raise(long) msvcrt.raise
+@ cdecl rand() msvcrt.rand
+@ cdecl realloc(ptr long) msvcrt.realloc
+@ cdecl remove(str) msvcrt.remove
+@ cdecl rename(str str) msvcrt.rename
+@ cdecl rewind(ptr) msvcrt.rewind
+@ varargs scanf(str) msvcrt.scanf
+@ cdecl setbuf(ptr ptr) msvcrt.setbuf
+@ cdecl setlocale(long str) msvcrt.setlocale
+@ cdecl setvbuf(ptr str long long) msvcrt.setvbuf
+@ cdecl signal(long long) msvcrt.signal
+@ cdecl sin(double) msvcrt.sin
+@ cdecl sinh(double) msvcrt.sinh
+@ varargs sprintf(ptr str) msvcrt.sprintf
+@ cdecl sqrt(double) msvcrt.sqrt
+@ cdecl srand(long) msvcrt.srand
+@ varargs sscanf(str str) msvcrt.sscanf
+@ cdecl strcat(str str) msvcrt.strcat
+@ cdecl strchr(str long) msvcrt.strchr
+@ cdecl strcmp(str str) msvcrt.strcmp
+@ cdecl strcoll(str str) msvcrt.strcoll
+@ cdecl strcpy(ptr str) msvcrt.strcpy
+@ cdecl strcspn(str str) msvcrt.strcspn
+@ cdecl strerror(long) msvcrt.strerror
+@ cdecl strftime(str long str ptr) msvcrt.strftime
+@ cdecl strlen(str) msvcrt.strlen
+@ cdecl strncat(str str long) msvcrt.strncat
+@ cdecl strncmp(str str long) msvcrt.strncmp
+@ cdecl strncpy(ptr str long) msvcrt.strncpy
+@ cdecl strpbrk(str str) msvcrt.strpbrk
+@ cdecl strrchr(str long) msvcrt.strrchr
+@ cdecl strspn(str str) msvcrt.strspn
+@ cdecl strstr(str str) msvcrt.strstr
+@ cdecl strtod(str ptr) msvcrt.strtod
+@ cdecl strtok(str str) msvcrt.strtok
+@ cdecl strtol(str ptr long) msvcrt.strtol
+@ cdecl strtoul(str ptr long) msvcrt.strtoul
+@ cdecl strxfrm(ptr str long) msvcrt.strxfrm
+@ varargs swprintf(wstr wstr) msvcrt.swprintf
+@ varargs swscanf(wstr wstr) msvcrt.swscanf
+@ cdecl system(str) msvcrt.system
+@ cdecl tan(double) msvcrt.tan
+@ cdecl tanh(double) msvcrt.tanh
+@ cdecl time(ptr) msvcrt.time
+@ cdecl tmpfile() msvcrt.tmpfile
+@ cdecl tmpnam(ptr) msvcrt.tmpnam
+@ cdecl tolower(long) msvcrt.tolower
+@ cdecl toupper(long) msvcrt.toupper
+@ cdecl towlower(long) msvcrt.towlower
+@ cdecl towupper(long) msvcrt.towupper
+@ cdecl ungetc(long ptr) msvcrt.ungetc
+@ cdecl ungetwc(long ptr) msvcrt.ungetwc
+@ cdecl vfprintf(ptr str long) msvcrt.vfprintf
+@ cdecl vfwprintf(ptr wstr long) msvcrt.vfwprintf
+@ cdecl vprintf(str long) msvcrt.vprintf
+@ cdecl vsprintf(ptr str ptr) msvcrt.vsprintf
+@ cdecl vswprintf(ptr wstr long) msvcrt.vswprintf
+@ cdecl vwprintf(wstr long) msvcrt.vwprintf
+@ cdecl wcscat(wstr wstr) msvcrt.wcscat
+@ cdecl wcschr(wstr long) msvcrt.wcschr
+@ cdecl wcscmp(wstr wstr) msvcrt.wcscmp
+@ cdecl wcscoll(wstr wstr) msvcrt.wcscoll
+@ cdecl wcscpy(ptr wstr) msvcrt.wcscpy
+@ cdecl wcscspn(wstr wstr) msvcrt.wcscspn
+@ cdecl wcsftime(ptr long wstr ptr) msvcrt.wcsftime
+@ cdecl wcslen(wstr) msvcrt.wcslen
+@ cdecl wcsncat(wstr wstr long) msvcrt.wcsncat
+@ cdecl wcsncmp(wstr wstr long) msvcrt.wcsncmp
+@ cdecl wcsncpy(ptr wstr long) msvcrt.wcsncpy
+@ cdecl wcspbrk(wstr wstr) msvcrt.wcspbrk
+@ cdecl wcsrchr(wstr long) msvcrt.wcsrchr
+@ cdecl wcsspn(wstr wstr) msvcrt.wcsspn
+@ cdecl wcsstr(wstr wstr) msvcrt.wcsstr
+@ cdecl wcstod(wstr ptr) msvcrt.wcstod
+@ cdecl wcstok(wstr wstr) msvcrt.wcstok
+@ cdecl wcstol(wstr ptr long) msvcrt.wcstol
+@ cdecl wcstombs(ptr ptr long) msvcrt.wcstombs
+@ cdecl wcstoul(wstr ptr long) msvcrt.wcstoul
+@ cdecl wcsxfrm(ptr wstr long) msvcrt.wcsxfrm
+@ cdecl wctomb(ptr long) msvcrt.wctomb
+@ varargs wprintf(wstr) msvcrt.wprintf
+@ varargs wscanf(wstr) msvcrt.wscanf
Index: dll/win32/msvcrt20/msvcrt20.def
===================================================================
--- dll/win32/msvcrt20/msvcrt20.def	(Revision 31623)
+++ dll/win32/msvcrt20/msvcrt20.def	(Arbeitskopie)
@@ -1,708 +0,0 @@
-; File generated automatically from msvcrt20/msvcrt20.spec; do not edit!
-
-LIBRARY msvcrt20.dll
-
-EXPORTS
-  ??2@YAPAXI@Z=msvcrt.??2@YAPAXI@Z @80
-  ??3@YAXPAX@Z=msvcrt.??3@YAXPAX@Z @81
-  ?_query_new_handler@@YAP6AHI@ZXZ=msvcrt.?_query_new_handler@@YAP6AHI@ZXZ @227
-  ?_query_new_mode@@YAHXZ=msvcrt.?_query_new_mode@@YAHXZ @228
-  ?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z=msvcrt.?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z @229
-  ?_set_new_mode@@YAHH@Z=msvcrt.?_set_new_mode@@YAHH@Z @230
-  ?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z=msvcrt.?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z @231
-  ?set_terminate@@YAP6AXXZP6AXXZ@Z=msvcrt.?set_terminate@@YAP6AXXZP6AXXZ@Z @366
-  ?set_unexpected@@YAP6AXXZP6AXXZ@Z=msvcrt.?set_unexpected@@YAP6AXXZP6AXXZ@Z @367
-  ?terminate@@YAXXZ=msvcrt.?terminate@@YAXXZ @410
-  ?unexpected@@YAXXZ=msvcrt.?unexpected@@YAXXZ @419
-  _CIacos=msvcrt._CIacos @439
-  _CIasin=msvcrt._CIasin @440
-  _CIatan=msvcrt._CIatan @441
-  _CIatan2=msvcrt._CIatan2 @442
-  _CIcos=msvcrt._CIcos @443
-  _CIcosh=msvcrt._CIcosh @444
-  _CIexp=msvcrt._CIexp @445
-  _CIfmod=msvcrt._CIfmod @446
-  _CIlog=msvcrt._CIlog @447
-  _CIlog10=msvcrt._CIlog10 @448
-  _CIpow=msvcrt._CIpow @449
-  _CIsin=msvcrt._CIsin @450
-  _CIsinh=msvcrt._CIsinh @451
-  _CIsqrt=msvcrt._CIsqrt @452
-  _CItan=msvcrt._CItan @453
-  _CItanh=msvcrt._CItanh @454
-  _CxxThrowException=msvcrt._CxxThrowException @455
-  _HUGE=msvcrt._HUGE @456 DATA
-  _XcptFilter=msvcrt._XcptFilter @457
-  __CxxFrameHandler=msvcrt.__CxxFrameHandler @458
-  __CxxLongjmpUnwind@4=msvcrt.__CxxLongjmpUnwind @459
-  __STRINGTOLD=msvcrt.__STRINGTOLD @460
-  __argc=msvcrt.__argc @461 DATA
-  __argv=msvcrt.__argv @462 DATA
-  __dllonexit=msvcrt.__dllonexit @463
-  __doserrno=msvcrt.__doserrno @464
-  __fpecode=msvcrt.__fpecode @465
-  __getmainargs=MSVCRT20__getmainargs @466
-  __initenv=msvcrt.__initenv @467 DATA
-  __isascii=msvcrt.__isascii @468
-  __iscsym=msvcrt.__iscsym @469
-  __iscsymf=msvcrt.__iscsymf @470
-  __lconv_init=msvcrt.__lconv_init @471
-  __mb_cur_max=msvcrt.__mb_cur_max @472 DATA
-  __p___argc=msvcrt.__p___argc @473
-  __p___argv=msvcrt.__p___argv @474
-  __p___initenv=msvcrt.__p___initenv @475
-  __p___mb_cur_max=msvcrt.__p___mb_cur_max @476
-  __p___wargv=msvcrt.__p___wargv @477
-  __p___winitenv=msvcrt.__p___winitenv @478
-  __p__acmdln=msvcrt.__p__acmdln @479
-  __p__amblksiz=msvcrt.__p__amblksiz @480
-  __p__commode=msvcrt.__p__commode @481
-  __p__daylight=msvcrt.__p__daylight @482
-  __p__environ=msvcrt.__p__environ @483
-  __p__fmode=msvcrt.__p__fmode @484
-  __p__iob=msvcrt.__p__iob @485
-  __p__mbctype=msvcrt.__p__mbctype @486
-  __p__osver=msvcrt.__p__osver @487
-  __p__pctype=msvcrt.__p__pctype @488
-  __p__pgmptr=msvcrt.__p__pgmptr @489
-  __p__pwctype=msvcrt.__p__pwctype @490
-  __p__timezone=msvcrt.__p__timezone @491
-  __p__tzname=msvcrt.__p__tzname @492
-  __p__wcmdln=msvcrt.__p__wcmdln @493
-  __p__wenviron=msvcrt.__p__wenviron @494
-  __p__winmajor=msvcrt.__p__winmajor @495
-  __p__winminor=msvcrt.__p__winminor @496
-  __p__winver=msvcrt.__p__winver @497
-  __p__wpgmptr=msvcrt.__p__wpgmptr @498
-  __pxcptinfoptrs=msvcrt.__pxcptinfoptrs @499
-  __threadhandle=msvcrt.__threadhandle @501
-  __threadid=msvcrt.__threadid @502
-  __toascii=msvcrt.__toascii @503
-  __wargv=msvcrt.__wargv @504 DATA
-  __wgetmainargs=MSVCRT20__wgetmainargs @505
-  __winitenv=msvcrt.__winitenv @506 DATA
-  _abnormal_termination=msvcrt._abnormal_termination @507
-  _access=msvcrt._access @508
-  _acmdln=msvcrt._acmdln @509 DATA
-  _adj_fdiv_m16i=msvcrt._adj_fdiv_m16i @510
-  _adj_fdiv_m32=msvcrt._adj_fdiv_m32 @511
-  _adj_fdiv_m32i=msvcrt._adj_fdiv_m32i @512
-  _adj_fdiv_m64=msvcrt._adj_fdiv_m64 @513
-  _adj_fdiv_r=msvcrt._adj_fdiv_r @514
-  _adj_fdivr_m16i=msvcrt._adj_fdivr_m16i @515
-  _adj_fdivr_m32=msvcrt._adj_fdivr_m32 @516
-  _adj_fdivr_m32i=msvcrt._adj_fdivr_m32i @517
-  _adj_fdivr_m64=msvcrt._adj_fdivr_m64 @518
-  _adj_fpatan=msvcrt._adj_fpatan @519
-  _adj_fprem=msvcrt._adj_fprem @520
-  _adj_fprem1=msvcrt._adj_fprem1 @521
-  _adj_fptan=msvcrt._adj_fptan @522
-  _adjust_fdiv=msvcrt._adjust_fdiv @523
-  _aexit_rtn=msvcrt._aexit_rtn @524 DATA
-  _amsg_exit=msvcrt._amsg_exit @525
-  _assert=msvcrt._assert @526
-  _atodbl=msvcrt._atodbl @527
-  _atoi64=msvcrt._atoi64 @528
-  _atoldbl=msvcrt._atoldbl @529
-  _beep=msvcrt._beep @530
-  _beginthread=msvcrt._beginthread @531
-  _beginthreadex=msvcrt._beginthreadex @532
-  _c_exit=msvcrt._c_exit @533
-  _cabs=msvcrt._cabs @534
-  _cexit=msvcrt._cexit @535
-  _cgets=msvcrt._cgets @536
-  _chdir=msvcrt._chdir @537
-  _chdrive=msvcrt._chdrive @538
-  _chgsign=msvcrt._chgsign @539
-  _chmod=msvcrt._chmod @540
-  _chsize=msvcrt._chsize @541
-  _clearfp=msvcrt._clearfp @542
-  _close=msvcrt._close @543
-  _commit=msvcrt._commit @544
-  _commode=msvcrt._commode @545 DATA
-  _control87=msvcrt._control87 @546
-  _controlfp=msvcrt._controlfp @547
-  _copysign=msvcrt._copysign @548
-  _cprintf=msvcrt._cprintf @549
-  _cputs=msvcrt._cputs @550
-  _creat=msvcrt._creat @551
-  _cscanf=msvcrt._cscanf @552
-  _ctype=msvcrt._ctype @553 DATA
-  _cwait=msvcrt._cwait @554
-  _daylight=msvcrt._daylight @555 DATA
-  _dup=msvcrt._dup @556
-  _dup2=msvcrt._dup2 @557
-  _ecvt=msvcrt._ecvt @558
-  _endthread=msvcrt._endthread @559
-  _endthreadex=msvcrt._endthreadex @560
-  _environ=msvcrt._environ @561 DATA
-  _eof=msvcrt._eof @562
-  _errno=msvcrt._errno @563
-  _except_handler2=msvcrt._except_handler2 @564
-  _except_handler3=msvcrt._except_handler3 @565
-  _execl=msvcrt._execl @566
-  _execle=msvcrt._execle @567
-  _execlp=msvcrt._execlp @568
-  _execlpe=msvcrt._execlpe @569
-  _execv=msvcrt._execv @570
-  _execve=msvcrt._execve @571
-  _execvp=msvcrt._execvp @572
-  _execvpe=msvcrt._execvpe @573
-  _exit=msvcrt._exit @574
-  _expand=msvcrt._expand @575
-  _fcloseall=msvcrt._fcloseall @576
-  _fcvt=msvcrt._fcvt @577
-  _fdopen=msvcrt._fdopen @578
-  _fgetchar=msvcrt._fgetchar @579
-  _fgetwchar=msvcrt._fgetwchar @580
-  _filbuf=msvcrt._filbuf @581
-  _fileinfo=msvcrt._fileinfo @582 DATA
-  _filelength=msvcrt._filelength @583
-  _fileno=msvcrt._fileno @584
-  _findclose=msvcrt._findclose @585
-  _findfirst=msvcrt._findfirst @586
-  _findnext=msvcrt._findnext @587
-  _finite=msvcrt._finite @588
-  _flsbuf=msvcrt._flsbuf @589
-  _flushall=msvcrt._flushall @590
-  _fmode=msvcrt._fmode @591 DATA
-  _fpclass=msvcrt._fpclass @592
-  _fpieee_flt=msvcrt._fpieee_flt @593
-  _fpreset=msvcrt._fpreset @594
-  _fputchar=msvcrt._fputchar @595
-  _fputwchar=msvcrt._fputwchar @596
-  _fsopen=msvcrt._fsopen @597
-  _fstat=msvcrt._fstat @598
-  _ftime=msvcrt._ftime @599
-  _ftol=msvcrt._ftol @600
-  _fullpath=msvcrt._fullpath @601
-  _futime=msvcrt._futime @602
-  _gcvt=msvcrt._gcvt @603
-  _get_osfhandle=msvcrt._get_osfhandle @604
-  _getch=msvcrt._getch @605
-  _getche=msvcrt._getche @606
-  _getcwd=msvcrt._getcwd @607
-  _getdcwd=msvcrt._getdcwd @608
-  _getdiskfree=msvcrt._getdiskfree @609
-  _getdllprocaddr=msvcrt._getdllprocaddr @610
-  _getdrive=msvcrt._getdrive @611
-  _getdrives=msvcrt._getdrives @612
-  _getmbcp=msvcrt._getmbcp @613
-  _getpid=msvcrt._getpid @614
-  _getsystime=msvcrt._getsystime @615
-  _getw=msvcrt._getw @616
-  _getws=msvcrt._getws @617
-  _global_unwind2=msvcrt._global_unwind2 @618
-  _heapadd=msvcrt._heapadd @619
-  _heapchk=msvcrt._heapchk @620
-  _heapmin=msvcrt._heapmin @621
-  _heapset=msvcrt._heapset @622
-  _heapused=msvcrt._heapused @623
-  _heapwalk=msvcrt._heapwalk @624
-  _hypot=msvcrt._hypot @625
-  _i64toa=msvcrt._i64toa @626
-  _i64tow=msvcrt._i64tow @627
-  _initterm=msvcrt._initterm @628
-  _iob=msvcrt._iob @629 DATA
-  _isatty=msvcrt._isatty @630
-  _isctype=msvcrt._isctype @631
-  _ismbbalnum=msvcrt._ismbbalnum @632
-  _ismbbalpha=msvcrt._ismbbalpha @633
-  _ismbbgraph=msvcrt._ismbbgraph @634
-  _ismbbkalnum=msvcrt._ismbbkalnum @635
-  _ismbbkana=msvcrt._ismbbkana @636
-  _ismbbkprint=msvcrt._ismbbkprint @637
-  _ismbbkpunct=msvcrt._ismbbkpunct @638
-  _ismbblead=msvcrt._ismbblead @639
-  _ismbbprint=msvcrt._ismbbprint @640
-  _ismbbpunct=msvcrt._ismbbpunct @641
-  _ismbbtrail=msvcrt._ismbbtrail @642
-  _ismbcalnum=msvcrt._ismbcalnum @643
-  _ismbcalpha=msvcrt._ismbcalpha @644
-  _ismbcdigit=msvcrt._ismbcdigit @645
-  _ismbcgraph=msvcrt._ismbcgraph @646
-  _ismbchira=msvcrt._ismbchira @647
-  _ismbckata=msvcrt._ismbckata @648
-  _ismbcl0=msvcrt._ismbcl0 @649
-  _ismbcl1=msvcrt._ismbcl1 @650
-  _ismbcl2=msvcrt._ismbcl2 @651
-  _ismbclegal=msvcrt._ismbclegal @652
-  _ismbclower=msvcrt._ismbclower @653
-  _ismbcprint=msvcrt._ismbcprint @654
-  _ismbcpunct=msvcrt._ismbcpunct @655
-  _ismbcspace=msvcrt._ismbcspace @656
-  _ismbcsymbol=msvcrt._ismbcsymbol @657
-  _ismbcupper=msvcrt._ismbcupper @658
-  _ismbslead=msvcrt._ismbslead @659
-  _ismbstrail=msvcrt._ismbstrail @660
-  _isnan=msvcrt._isnan @661
-  _itoa=msvcrt._itoa @662
-  _itow=msvcrt._itow @663
-  _j0=msvcrt._j0 @664
-  _j1=msvcrt._j1 @665
-  _jn=msvcrt._jn @666
-  _kbhit=msvcrt._kbhit @667
-  _lfind=msvcrt._lfind @668
-  _loaddll=msvcrt._loaddll @669
-  _local_unwind2=msvcrt._local_unwind2 @670
-  _locking=msvcrt._locking @671
-  _logb=msvcrt._logb @672
-  _longjmpex=msvcrt._longjmpex @673
-  _lrotl=msvcrt._lrotl @674
-  _lrotr=msvcrt._lrotr @675
-  _lsearch=msvcrt._lsearch @676
-  _lseek=msvcrt._lseek @677
-  _ltoa=msvcrt._ltoa @678
-  _ltow=msvcrt._ltow @679
-  _makepath=msvcrt._makepath @680
-  _matherr=msvcrt._matherr @681
-  _mbbtombc=msvcrt._mbbtombc @682
-  _mbbtype=msvcrt._mbbtype @683
-  _mbccpy=msvcrt._mbccpy @684
-  _mbcjistojms=msvcrt._mbcjistojms @685
-  _mbcjmstojis=msvcrt._mbcjmstojis @686
-  _mbclen=msvcrt._mbclen @687
-  _mbctohira=msvcrt._mbctohira @688
-  _mbctokata=msvcrt._mbctokata @689
-  _mbctolower=msvcrt._mbctolower @690
-  _mbctombb=msvcrt._mbctombb @691
-  _mbctoupper=msvcrt._mbctoupper @692
-  _mbctype=msvcrt._mbctype @693 DATA
-  _mbsbtype=msvcrt._mbsbtype @694
-  _mbscat=msvcrt._mbscat @695
-  _mbschr=msvcrt._mbschr @696
-  _mbscmp=msvcrt._mbscmp @697
-  _mbscoll=msvcrt._mbscoll @698
-  _mbscpy=msvcrt._mbscpy @699
-  _mbscspn=msvcrt._mbscspn @700
-  _mbsdec=msvcrt._mbsdec @701
-  _mbsdup=msvcrt._mbsdup @702
-  _mbsicmp=msvcrt._mbsicmp @703
-  _mbsicoll=msvcrt._mbsicoll @704
-  _mbsinc=msvcrt._mbsinc @705
-  _mbslen=msvcrt._mbslen @706
-  _mbslwr=msvcrt._mbslwr @707
-  _mbsnbcat=msvcrt._mbsnbcat @708
-  _mbsnbcmp=msvcrt._mbsnbcmp @709
-  _mbsnbcnt=msvcrt._mbsnbcnt @710
-  _mbsnbcoll=msvcrt._mbsnbcoll @711
-  _mbsnbcpy=msvcrt._mbsnbcpy @712
-  _mbsnbicmp=msvcrt._mbsnbicmp @713
-  _mbsnbicoll=msvcrt._mbsnbicoll @714
-  _mbsnbset=msvcrt._mbsnbset @715
-  _mbsncat=msvcrt._mbsncat @716
-  _mbsnccnt=msvcrt._mbsnccnt @717
-  _mbsncmp=msvcrt._mbsncmp @718
-  _mbsncoll=msvcrt._mbsncoll @719
-  _mbsncpy=msvcrt._mbsncpy @720
-  _mbsnextc=msvcrt._mbsnextc @721
-  _mbsnicmp=msvcrt._mbsnicmp @722
-  _mbsnicoll=msvcrt._mbsnicoll @723
-  _mbsninc=msvcrt._mbsninc @724
-  _mbsnset=msvcrt._mbsnset @725
-  _mbspbrk=msvcrt._mbspbrk @726
-  _mbsrchr=msvcrt._mbsrchr @727
-  _mbsrev=msvcrt._mbsrev @728
-  _mbsset=msvcrt._mbsset @729
-  _mbsspn=msvcrt._mbsspn @730
-  _mbsspnp=msvcrt._mbsspnp @731
-  _mbsstr=msvcrt._mbsstr @732
-  _mbstok=msvcrt._mbstok @733
-  _mbstrlen=msvcrt._mbstrlen @734
-  _mbsupr=msvcrt._mbsupr @735
-  _memccpy=msvcrt._memccpy @736
-  _memicmp=msvcrt._memicmp @737
-  _mkdir=msvcrt._mkdir @738
-  _mktemp=msvcrt._mktemp @739
-  _msize=msvcrt._msize @740
-  _nextafter=msvcrt._nextafter @743
-  _onexit=msvcrt._onexit @744
-  _open=msvcrt._open @745
-  _open_osfhandle=msvcrt._open_osfhandle @746
-  _osver=msvcrt._osver @747 DATA
-  _pclose=msvcrt._pclose @748
-  _pctype=msvcrt._pctype @749 DATA
-  _pgmptr=msvcrt._pgmptr @750 DATA
-  _pipe=msvcrt._pipe @751
-  _popen=msvcrt._popen @752
-  _purecall=msvcrt._purecall @753
-  _putch=msvcrt._putch @754
-  _putenv=msvcrt._putenv @755
-  _putw=msvcrt._putw @756
-  _putws=msvcrt._putws @757
-  _pwctype=msvcrt._pwctype @758 DATA
-  _read=msvcrt._read @759
-  _rmdir=msvcrt._rmdir @760
-  _rmtmp=msvcrt._rmtmp @761
-  _rotl=msvcrt._rotl @762
-  _rotr=msvcrt._rotr @763
-  _safe_fdiv=msvcrt._safe_fdiv @764
-  _safe_fdivr=msvcrt._safe_fdivr @765
-  _safe_fprem=msvcrt._safe_fprem @766
-  _safe_fprem1=msvcrt._safe_fprem1 @767
-  _scalb=msvcrt._scalb @768
-  _searchenv=msvcrt._searchenv @769
-  __seh_longjmp_unwind@4=msvcrt._seh_longjmp_unwind @500
-  _seterrormode=msvcrt._seterrormode @770
-  _setjmp=msvcrt._setjmp @771
-  _setjmp3=msvcrt._setjmp3 @772
-  _setmbcp=msvcrt._setmbcp @773
-  _setmode=msvcrt._setmode @774
-  _setsystime=msvcrt._setsystime @775
-  _sleep=msvcrt._sleep @776
-  _snprintf=msvcrt._snprintf @777
-  _snwprintf=msvcrt._snwprintf @778
-  _sopen=msvcrt._sopen @779
-  _spawnl=msvcrt._spawnl @780
-  _spawnle=msvcrt._spawnle @781
-  _spawnlp=msvcrt._spawnlp @782
-  _spawnlpe=msvcrt._spawnlpe @783
-  _spawnv=msvcrt._spawnv @784
-  _spawnve=msvcrt._spawnve @785
-  _spawnvp=msvcrt._spawnvp @786
-  _spawnvpe=msvcrt._spawnvpe @787
-  _splitpath=msvcrt._splitpath @788
-  _stat=msvcrt._stat @789
-  _statusfp=msvcrt._statusfp @790
-  _strcmpi=msvcrt._strcmpi @791
-  _strdate=msvcrt._strdate @792
-  _strdup=msvcrt._strdup @793
-  _strerror=msvcrt._strerror @794
-  _stricmp=msvcrt._stricmp @795
-  _stricoll=msvcrt._stricoll @796
-  _strlwr=msvcrt._strlwr @797
-  _strncoll=msvcrt._strncoll @798
-  _strnicmp=msvcrt._strnicmp @799
-  _strnicoll=msvcrt._strnicoll @800
-  _strnset=msvcrt._strnset @801
-  _strrev=msvcrt._strrev @802
-  _strset=msvcrt._strset @803
-  _strtime=msvcrt._strtime @804
-  _strupr=msvcrt._strupr @805
-  _swab=msvcrt._swab @806
-  _sys_errlist=msvcrt._sys_errlist @807 DATA
-  _sys_nerr=msvcrt._sys_nerr @808 DATA
-  _tccpy=msvcrt._mbccpy @809
-  _tclen=msvcrt._mbclen @810
-  _tcschr=msvcrt._mbschr @811
-  _tcsclen=msvcrt._mbslen @812
-  _tcscmp=msvcrt._mbscmp @813
-  _tcscspn=msvcrt._mbscspn @814
-  _tcsdec=msvcrt._mbsdec @815
-  _tcsicmp=msvcrt._mbsicmp @816
-  _tcsinc=msvcrt._mbsinc @817
-  _tcslwr=msvcrt._mbslwr @818
-  _tcsnbcnt=msvcrt._mbsnbcnt @819
-  _tcsncat=msvcrt._mbsnbcat @820
-  _tcsnccat=msvcrt._mbsncat @821
-  _tcsnccmp=msvcrt._mbsncmp @822
-  _tcsnccnt=msvcrt._mbsnccnt @823
-  _tcsnccpy=msvcrt._mbsncpy @824
-  _tcsncicmp=msvcrt._mbsnicmp @825
-  _tcsncmp=msvcrt._mbsnbcmp @826
-  _tcsncpy=msvcrt._mbsnbcpy @827
-  _tcsncset=msvcrt._mbsnset @828
-  _tcsnextc=msvcrt._mbsnextc @829
-  _tcsnicmp=msvcrt._mbsnbicmp @830
-  _tcsninc=msvcrt._mbsninc @831
-  _tcsnset=msvcrt._mbsnbset @832
-  _tcspbrk=msvcrt._mbspbrk @833
-  _tcsrchr=msvcrt._mbsrchr @834
-  _tcsrev=msvcrt._mbsrev @835
-  _tcsset=msvcrt._mbsset @836
-  _tcsspn=msvcrt._mbsspn @837
-  _tcsspnp=msvcrt._mbsspnp @838
-  _tcsstr=msvcrt._mbsstr @839
-  _tcstok=msvcrt._mbstok @840
-  _tcsupr=msvcrt._mbsupr @841
-  _tell=msvcrt._tell @842
-  _tempnam=msvcrt._tempnam @843
-  _timezone=msvcrt._timezone @844 DATA
-  _tolower=msvcrt._tolower @845
-  _toupper=msvcrt._toupper @846
-  _tzname=msvcrt._tzname @847 DATA
-  _tzset=msvcrt._tzset @848
-  _ui64toa=msvcrt._ui64toa @849
-  _ui64tow=msvcrt._ui64tow @850
-  _ultoa=msvcrt._ultoa @851
-  _ultow=msvcrt._ultow @852
-  _umask=msvcrt._umask @853
-  _ungetch=msvcrt._ungetch @854
-  _unlink=msvcrt._unlink @855
-  _unloaddll=msvcrt._unloaddll @856
-  _utime=msvcrt._utime @857
-  _vsnprintf=msvcrt._vsnprintf @858
-  _vsnwprintf=msvcrt._vsnwprintf @859
-  _waccess=msvcrt._waccess @860
-  _wasctime=msvcrt._wasctime @861
-  _wchdir=msvcrt._wchdir @862
-  _wchmod=msvcrt._wchmod @863
-  _wcmdln=msvcrt._wcmdln @864 DATA
-  _wcreat=msvcrt._wcreat @865
-  _wcsdup=msvcrt._wcsdup @866
-  _wcsicmp=msvcrt._wcsicmp @867
-  _wcsicoll=msvcrt._wcsicoll @868
-  _wcslwr=msvcrt._wcslwr @869
-  _wcsncoll=msvcrt._wcsncoll @870
-  _wcsnicmp=msvcrt._wcsnicmp @871
-  _wcsnicoll=msvcrt._wcsnicoll @872
-  _wcsnset=msvcrt._wcsnset @873
-  _wcsrev=msvcrt._wcsrev @874
-  _wcsset=msvcrt._wcsset @875
-  _wcsupr=msvcrt._wcsupr @876
-  _wctime=msvcrt._wctime @877
-  _wenviron=msvcrt._wenviron @878 DATA
-  _wexecl=msvcrt._wexecl @879
-  _wexecle=msvcrt._wexecle @880
-  _wexeclp=msvcrt._wexeclp @881
-  _wexeclpe=msvcrt._wexeclpe @882
-  _wexecv=msvcrt._wexecv @883
-  _wexecve=msvcrt._wexecve @884
-  _wexecvp=msvcrt._wexecvp @885
-  _wexecvpe=msvcrt._wexecvpe @886
-  _wfdopen=msvcrt._wfdopen @887
-  _wfindfirst=msvcrt._wfindfirst @888
-  _wfindnext=msvcrt._wfindnext @889
-  _wfopen=msvcrt._wfopen @890
-  _wfreopen=msvcrt._wfreopen @891
-  _wfsopen=msvcrt._wfsopen @892
-  _wfullpath=msvcrt._wfullpath @893
-  _wgetcwd=msvcrt._wgetcwd @894
-  _wgetdcwd=msvcrt._wgetdcwd @895
-  _wgetenv=msvcrt._wgetenv @896
-  _winmajor=msvcrt._winmajor @897 DATA
-  _winminor=msvcrt._winminor @898 DATA
-  _winver=msvcrt._winver @899 DATA
-  _wmakepath=msvcrt._wmakepath @900
-  _wmkdir=msvcrt._wmkdir @901
-  _wmktemp=msvcrt._wmktemp @902
-  _wopen=msvcrt._wopen @903
-  _wperror=msvcrt._wperror @904
-  _wpgmptr=msvcrt._wpgmptr @905 DATA
-  _wpopen=msvcrt._wpopen @906
-  _wputenv=msvcrt._wputenv @907
-  _wremove=msvcrt._wremove @908
-  _wrename=msvcrt._wrename @909
-  _write=msvcrt._write @910
-  _wrmdir=msvcrt._wrmdir @911
-  _wsearchenv=msvcrt._wsearchenv @912
-  _wsetlocale=msvcrt._wsetlocale @913
-  _wsopen=msvcrt._wsopen @914
-  _wspawnl=msvcrt._wspawnl @915
-  _wspawnle=msvcrt._wspawnle @916
-  _wspawnlp=msvcrt._wspawnlp @917
-  _wspawnlpe=msvcrt._wspawnlpe @918
-  _wspawnv=msvcrt._wspawnv @919
-  _wspawnve=msvcrt._wspawnve @920
-  _wspawnvp=msvcrt._wspawnvp @921
-  _wspawnvpe=msvcrt._wspawnvpe @922
-  _wsplitpath=msvcrt._wsplitpath @923
-  _wstat=msvcrt._wstat @924
-  _wstrdate=msvcrt._wstrdate @925
-  _wstrtime=msvcrt._wstrtime @926
-  _wsystem=msvcrt._wsystem @927
-  _wtempnam=msvcrt._wtempnam @928
-  _wtmpnam=msvcrt._wtmpnam @929
-  _wtoi=msvcrt._wtoi @930
-  _wtoi64=msvcrt._wtoi64 @931
-  _wtol=msvcrt._wtol @932
-  _wunlink=msvcrt._wunlink @933
-  _wutime=msvcrt._wutime @934
-  _y0=msvcrt._y0 @935
-  _y1=msvcrt._y1 @936
-  _yn=msvcrt._yn @937
-  abort=msvcrt.abort @938
-  abs=msvcrt.abs @939
-  acos=msvcrt.acos @940
-  asctime=msvcrt.asctime @941
-  asin=msvcrt.asin @942
-  atan=msvcrt.atan @943
-  atan2=msvcrt.atan2 @944
-  atexit=msvcrt.atexit @945
-  atof=msvcrt.atof @946
-  atoi=msvcrt.atoi @947
-  atol=msvcrt.atol @948
-  bsearch=msvcrt.bsearch @949
-  calloc=msvcrt.calloc @950
-  ceil=msvcrt.ceil @951
-  clearerr=msvcrt.clearerr @952
-  clock=msvcrt.clock @953
-  cos=msvcrt.cos @954
-  cosh=msvcrt.cosh @955
-  ctime=msvcrt.ctime @956
-  difftime=msvcrt.difftime @957
-  div=msvcrt.div @958
-  exit=msvcrt.exit @959
-  exp=msvcrt.exp @960
-  fabs=msvcrt.fabs @961
-  fclose=msvcrt.fclose @962
-  feof=msvcrt.feof @963
-  ferror=msvcrt.ferror @964
-  fflush=msvcrt.fflush @965
-  fgetc=msvcrt.fgetc @966
-  fgetpos=msvcrt.fgetpos @967
-  fgets=msvcrt.fgets @968
-  fgetwc=msvcrt.fgetwc @969
-  fgetws=msvcrt.fgetws @970
-  floor=msvcrt.floor @971
-  fmod=msvcrt.fmod @972
-  fopen=msvcrt.fopen @973
-  fprintf=msvcrt.fprintf @974
-  fputc=msvcrt.fputc @975
-  fputs=msvcrt.fputs @976
-  fputwc=msvcrt.fputwc @977
-  fputws=msvcrt.fputws @978
-  fread=msvcrt.fread @979
-  free=msvcrt.free @980
-  freopen=msvcrt.freopen @981
-  frexp=msvcrt.frexp @982
-  fscanf=msvcrt.fscanf @983
-  fseek=msvcrt.fseek @984
-  fsetpos=msvcrt.fsetpos @985
-  ftell=msvcrt.ftell @986
-  fwprintf=msvcrt.fwprintf @987
-  fwrite=msvcrt.fwrite @988
-  fwscanf=msvcrt.fwscanf @989
-  getc=msvcrt.getc @990
-  getchar=msvcrt.getchar @991
-  getenv=msvcrt.getenv @992
-  gets=msvcrt.gets @993
-  getwc=msvcrt.getwc @994
-  getwchar=msvcrt.getwchar @995
-  gmtime=msvcrt.gmtime @996
-  is_wctype=msvcrt.is_wctype @997
-  isalnum=msvcrt.isalnum @998
-  isalpha=msvcrt.isalpha @999
-  iscntrl=msvcrt.iscntrl @1000
-  isdigit=msvcrt.isdigit @1001
-  isgraph=msvcrt.isgraph @1002
-  isleadbyte=msvcrt.isleadbyte @1003
-  islower=msvcrt.islower @1004
-  isprint=msvcrt.isprint @1005
-  ispunct=msvcrt.ispunct @1006
-  isspace=msvcrt.isspace @1007
-  isupper=msvcrt.isupper @1008
-  iswalnum=msvcrt.iswalnum @1009
-  iswalpha=msvcrt.iswalpha @1010
-  iswascii=msvcrt.iswascii @1011
-  iswcntrl=msvcrt.iswcntrl @1012
-  iswctype=msvcrt.iswctype @1013
-  iswdigit=msvcrt.iswdigit @1014
-  iswgraph=msvcrt.iswgraph @1015
-  iswlower=msvcrt.iswlower @1016
-  iswprint=msvcrt.iswprint @1017
-  iswpunct=msvcrt.iswpunct @1018
-  iswspace=msvcrt.iswspace @1019
-  iswupper=msvcrt.iswupper @1020
-  iswxdigit=msvcrt.iswxdigit @1021
-  isxdigit=msvcrt.isxdigit @1022
-  labs=msvcrt.labs @1023
-  ldexp=msvcrt.ldexp @1024
-  ldiv=msvcrt.ldiv @1025
-  localeconv=msvcrt.localeconv @1026
-  localtime=msvcrt.localtime @1027
-  log=msvcrt.log @1028
-  log10=msvcrt.log10 @1029
-  longjmp=msvcrt.longjmp @1030
-  malloc=msvcrt.malloc @1031
-  mblen=msvcrt.mblen @1032
-  mbstowcs=msvcrt.mbstowcs @1033
-  mbtowc=msvcrt.mbtowc @1034
-  memchr=msvcrt.memchr @1035
-  memcmp=msvcrt.memcmp @1036
-  memcpy=msvcrt.memcpy @1037
-  memmove=msvcrt.memmove @1038
-  memset=msvcrt.memset @1039
-  mktime=msvcrt.mktime @1040
-  modf=msvcrt.modf @1041
-  perror=msvcrt.perror @1042
-  pow=msvcrt.pow @1043
-  printf=msvcrt.printf @1044
-  putc=msvcrt.putc @1045
-  putchar=msvcrt.putchar @1046
-  puts=msvcrt.puts @1047
-  putwc=msvcrt.putwc @1048
-  putwchar=msvcrt.putwchar @1049
-  qsort=msvcrt.qsort @1050
-  raise=msvcrt.raise @1051
-  rand=msvcrt.rand @1052
-  realloc=msvcrt.realloc @1053
-  remove=msvcrt.remove @1054
-  rename=msvcrt.rename @1055
-  rewind=msvcrt.rewind @1056
-  scanf=msvcrt.scanf @1057
-  setbuf=msvcrt.setbuf @1058
-  setlocale=msvcrt.setlocale @1059
-  setvbuf=msvcrt.setvbuf @1060
-  signal=msvcrt.signal @1061
-  sin=msvcrt.sin @1062
-  sinh=msvcrt.sinh @1063
-  sprintf=msvcrt.sprintf @1064
-  sqrt=msvcrt.sqrt @1065
-  srand=msvcrt.srand @1066
-  sscanf=msvcrt.sscanf @1067
-  strcat=msvcrt.strcat @1068
-  strchr=msvcrt.strchr @1069
-  strcmp=msvcrt.strcmp @1070
-  strcoll=msvcrt.strcoll @1071
-  strcpy=msvcrt.strcpy @1072
-  strcspn=msvcrt.strcspn @1073
-  strerror=msvcrt.strerror @1074
-  strftime=msvcrt.strftime @1075
-  strlen=msvcrt.strlen @1076
-  strncat=msvcrt.strncat @1077
-  strncmp=msvcrt.strncmp @1078
-  strncpy=msvcrt.strncpy @1079
-  strpbrk=msvcrt.strpbrk @1080
-  strrchr=msvcrt.strrchr @1081
-  strspn=msvcrt.strspn @1082
-  strstr=msvcrt.strstr @1083
-  strtod=msvcrt.strtod @1084
-  strtok=msvcrt.strtok @1085
-  strtol=msvcrt.strtol @1086
-  strtoul=msvcrt.strtoul @1087
-  strxfrm=msvcrt.strxfrm @1088
-  swprintf=msvcrt.swprintf @1089
-  swscanf=msvcrt.swscanf @1090
-  system=msvcrt.system @1091
-  tan=msvcrt.tan @1092
-  tanh=msvcrt.tanh @1093
-  time=msvcrt.time @1094
-  tmpfile=msvcrt.tmpfile @1095
-  tmpnam=msvcrt.tmpnam @1096
-  tolower=msvcrt.tolower @1097
-  toupper=msvcrt.toupper @1098
-  towlower=msvcrt.towlower @1099
-  towupper=msvcrt.towupper @1100
-  ungetc=msvcrt.ungetc @1101
-  ungetwc=msvcrt.ungetwc @1102
-  vfprintf=msvcrt.vfprintf @1103
-  vfwprintf=msvcrt.vfwprintf @1104
-  vprintf=msvcrt.vprintf @1105
-  vsprintf=msvcrt.vsprintf @1106
-  vswprintf=msvcrt.vswprintf @1107
-  vwprintf=msvcrt.vwprintf @1108
-  wcscat=msvcrt.wcscat @1109
-  wcschr=msvcrt.wcschr @1110
-  wcscmp=msvcrt.wcscmp @1111
-  wcscoll=msvcrt.wcscoll @1112
-  wcscpy=msvcrt.wcscpy @1113
-  wcscspn=msvcrt.wcscspn @1114
-  wcsftime=msvcrt.wcsftime @1115
-  wcslen=msvcrt.wcslen @1116
-  wcsncat=msvcrt.wcsncat @1117
-  wcsncmp=msvcrt.wcsncmp @1118
-  wcsncpy=msvcrt.wcsncpy @1119
-  wcspbrk=msvcrt.wcspbrk @1120
-  wcsrchr=msvcrt.wcsrchr @1121
-  wcsspn=msvcrt.wcsspn @1122
-  wcsstr=msvcrt.wcsstr @1123
-  wcstod=msvcrt.wcstod @1124
-  wcstok=msvcrt.wcstok @1125
-  wcstol=msvcrt.wcstol @1126
-  wcstombs=msvcrt.wcstombs @1127
-  wcstoul=msvcrt.wcstoul @1128
-  wcsxfrm=msvcrt.wcsxfrm @1129
-  wctomb=msvcrt.wctomb @1130
-  wprintf=msvcrt.wprintf @1131
-  wscanf=msvcrt.wscanf @1132
